/*--------------------------------------------------------------------------*/
/* CheckP.c : Check Platform						    */
/*--------------------------------------------------------------------------*/
/* Checks the architecture indicated by cc and outputs the value to be used */
/* for the configuration file (.cf). For internal use by install only.      */
/*--------------------------------------------------------------------------*/

main()
{

#ifdef ibm032
#define MacroIncludeFile "rt.cf"
printf("set MACHINETYPE = rt\n");
printf("set CFFILE = rt.cf\n");
#undef ibm032
#define RtArchitecture
#endif /* ibm032 */

#ifdef ultrix
#define MacroIncludeFile "ultrix.cf"
printf("set MACHINETYPE = ultrix\n");
printf("set CFFILE = ultrix.cf\n");
#ifdef vax
#undef vax
#define VaxArchitecture
#endif
#ifdef mips
#undef mips
#define MipsArchitecture
#endif
#undef ultrix
#define UltrixArchitecture
#endif

#if defined(vax) && !defined(UltrixArchitecture)
#define MacroIncludeFile "bsd.cf"
printf("set MACHINETYPE = bsd\n");
printf("set CFFILE = bsd.cf\n");
#undef vax
#define VaxArchitecture
#endif

#ifdef sun
#define MacroIncludeFile "sun.cf"
printf("set MACHINETYPE = sun\n");
printf("set CFFILE = sun.cf\n");
#undef sun
#define SunArchitecture
#endif /* sun */

#ifdef hpux
printf("set MACHINETYPE = hp\n");
printf("set CFFILE = hp.cf\n");
#define MacroIncludeFile "hp.cf"
#undef hpux
#define HPArchitecture
#endif /* hpux */

#ifdef att
#define MacroIncludeFile "att.cf"
printf("set MACHINETYPE = att\n");
printf("set CFFILE = att.cf\n");
#undef att
#define ATTArchitecture
#endif /* att */

#ifdef apollo
#define MacroIncludeFile "apollo.cf"
printf("set MACHINETYPE = apollo\n");
printf("set CFFILE = apollo.cf\n");
#undef apollo
#define ApolloArchitecture
#endif /* apollo */

#ifdef sony
#define MacroIncludeFile "sony.cf"
printf("set MACHINETYPE = sony\n");
printf("set CFFILE = sony.cf\n");
#undef sony
#define SonyArchitecture
#endif /* sony */

#ifdef convex
#define MacroIncludeFile "convex.cf"
printf("set MACHINETYPE = convex\n");
printf("set CFFILE = convex.cf\n");
#undef convex
#define ConvexArchitecture
#endif /* convex */

#ifdef M4310
#define MacroIncludeFile "pegasus.cf"
printf("set MACHINETYPE = pegasus\n");
printf("set CFFILE = pegasys.cf\n");
#undef M4310
#define PegasusArchitecture
#endif /* M4310 */

#ifdef M4330
#define MacroIncludeFile "m4330.cf"
printf("set MACHINETYPE = m4330\n");
printf("set CFFILE = m4330.cf\n");
#undef  M4330
#define M4330Architecture
#endif /* M4330 */

#ifdef macII
/* A/UX cpp has no unique symbol:  build imake with
BOOTSTRAPCFLAGS=-DmacII */
#define MacroIncludeFile "macII.cf"
printf("set MACHINETYPE = macII\n");
printf("set CFFILE = macII.cf\n");
#undef  macII
#define MacIIArchitecture
#endif /* macII */

#ifdef CRAY
#define MacroIncludeFile "cray.cf"
printf("set MACHINETYPE = cray\n");
printf("set CFFILE = cray.cf\n");
#undef cray
#undef CRAY
#define CrayArchitecture
#endif /* CRAY */

#ifdef sgi
#define MacroIncludeFile "sgi.cf"
printf("set MACHINETYPE = sgi.cf\n");
printf("set CFFILE = sgi.cf\n");
#undef sgi
#define SGIArchitecture
#endif

#if defined(mips) && !defined(UltrixArchitecture) && !defined(SGIArchitecture)
#define MacroIncludeFile "umips.cf"
printf("set MACHINETYPE = umips\n");
printf("set CFFILE = umips.cf\n");
#undef mips
#undef umips
#define MipsArchitecture
#define UMipsArchitecture
#endif

#ifndef MacroIncludeFile
/**/# WARNING:  Imake.tmpl not configured; guessing at definitions!!!
/**/# This might mean that BOOTSTRAPCFLAGS wasn't set when building imake.
printf("set MACHINETYPE = generic\n");
printf("set CFFILE = generic.cf\n");
#endif
}
