/* $Header: /usr/users/little/serpent/mips/de/include/RCS/e22.h,v 1.1 1991/05/07 17:39:05 little Exp $ */

/*--------------------------------------------------------------------------*\
|   
|  Name:  Dialogue Editor application globals
|
|  Description:  
|     global data used by all parts of the Dialogue Editor application
|
|  Component of:
|     Dialoge Editor Layer.
|
|  Project:
|     SERPENT System
|     User Interface Prototyping
|     Software Engineering Institute
|     Carnegie Mellon University
|     Pittsburgh, PA  15213
|
|  Change History:
|
|     $Log: e22.h,v $
 * Revision 1.1  1991/05/07  17:39:05  little
 * Initial revision
 *
|
|
\*--------------------------------------------------------------------------*\
|
|   Distribution: Approved for public release; distribution is unlimited.
|
|   Copyright (c) 1990  by  Carnegie  Mellon  University, Pittsburgh, PA.  The
|  Software Engineering  Institute  (SEI) is a federally  funded  research and
|  development center established  and  operated by Carnegie Mellon University
|  (CMU).  Sponsored  by  the  U.S.  Department  of   Defense  under  contract
|  F19628-85-C-0003,  the  SEI  is  supported  by  the  services  and  defense
|  agencies, with the U.S. Air Force as the executive contracting agent.
|
|    Permission to use,  copy,  modify, or  distribute  this  software and its
|  documentation for  any purpose and without fee  is hereby granted, provided
|  that  the above copyright notice appear  in  all copies and that both  that
|  copyright  notice  and   this  permission  notice  appear   in   supporting
|  documentation.   Further,  the  names  Software  Engineering  Institute  or
|  Carnegie  Mellon  University  may  not be used in  advertising or publicity
|  pertaining to distribution of the software without spe22fic, written  prior
|  permission.  CMU makes no claims  or representations  about the suitability
|  of this software for any purpose.  This software is provided "as is" and no
|  warranty,  express  or  implied,  is  made  by  the  SEI  or CMU, as to the
|  accuracy  and  functioning of the program and related program material, nor
|  shall   the  fact of  distribution   constitute  any   such  warranty.   No
|  responsibility is assumed by the SEI or CMU in connection herewith.
|
\*--------------------------------------------------------------------------*/

#ifndef _e22_include
#define _e22_include

#undef EXTERN 
#ifdef _e22__main
#define EXTERN
#else
#define EXTERN extern
#endif


#include "edg.h"
				
EXTERN edg_dialogue e22_dialogue;  /* this is the dialogue being edited.  this
				   will eventually need to be represented
				   by a list of current "sessions". */

#endif


