/* $Header: /u/04c/mnt/integ/source/de/include/RCS/ea2_util.h,v 1.1 90/05/21 13:41:54 little Exp $ */

/*--------------------------------------------------------------------------*\
|     
|  Name:  Dialogue Editor Utilities header file
|
|  Description:  
|     definitions of functions useful throughout the editor
|
|  Project:
|     Serpent
|     User Interface Prototyping
|     Software Engineering Institute
|     Carnegie Mellon University
|     Pittsburgh, PA  15213
|
|  Change History:
|
|     $Log:	ea2_util.h,v $
 * Revision 1.1  90/05/21  13:41:54  little
 * Initial revision
 * 
|
|
|   created 16 may 1990
|
\*--------------------------------------------------------------------------*\
|
|   Distribution: Approved for public release; distribution is unlimited.
|
|   Copyright (c) 1990  by  Carnegie  Mellon  University, Pittsburgh, PA.  The
|  Software Engineering  Institute   (SEI) is a federally  funded  research and
|  development center established  and  operated by Carnegie Mellon University
|   (CMU).  Sponsored  by  the  U.S.  Department  of   Defense  under  contract
|  F19628-85-C-0003,  the  SEI  is  supported  by  the  services  and  defense
|  agencies, with the U.S. Air Force as the executive contracting agent.
|
|    Permission to use,  copy,  modify, or  distribute  this  software and its
|  documentation for  any purpose and without fee  is hereby granted, provided
|  that  the above copyright notice appear  in  all copies and that both  that
|  copyright  notice  and   this  permission  notice  appear   in   supporting
|  documentation.   Further,  the  names  Software  Engineering  Institute  or
|  Carnegie  Mellon  University  may  not be used in  advertising or publicity
|  pertaining to distribution of the software without specific, written  prior
|  permission.  CMU makes no claims  or representations  about the suitability
|  of this software for any purpose.  This software is provided "as is" and no
|  warranty,  express  or  implied,  is  made  by  the  SEI  or CMU, as to the
|  accuracy  and  functioning of the program and related program material, nor
|  shall   the  fact of  distribution   constitute  any   such  warranty.   No
|  responsibility is assumed by the SEI or CMU in connection herewith.
|
\*--------------------------------------------------------------------------*/

#ifndef ea2_util
#define ea2_util

#include "serpent.h"


/*--------------------------------------------------------------------------*\
|  Routine:  ea2_in_list
|
|  Description:
|     checks a list of things (depending on what is handed in through the
|	the_list and name_fetch_function  parameters for a thing named
|	the_name
\*--------------------------------------------------------------------------*/
caddr_t ea2_in_list (
/* the_name, the_list, name_fetch_function) */
	);

/*
string the_name;
LIST the_list;
string (*name_fetch_function) ();
*/


/*--------------------------------------------------------------------------*\
|  Routine:  ea2_string_lower
|
|  Description:
|     Converts every upper-case character in a string to lower-case.
\*--------------------------------------------------------------------------*/
string ea2_string_lower (
/* the_string */
	);

/*
string  the_string;
*/

#endif

