/*
$Header: /u/04c/mnt/integ/source/de/include/RCS/eio.h,v 1.2 90/05/21 13:51:44 little Exp $
*/


		!!!!! THIS FILE IS NOT USED !!!!!
		!!!!! THIS FILE IS NOT USED !!!!!
		!!!!! THIS FILE IS NOT USED !!!!!
		!!!!! THIS FILE IS NOT USED !!!!!
		!!!!! THIS FILE IS NOT USED !!!!!
		!!!!! THIS FILE IS NOT USED !!!!!


/*--------------------------------------------------------------------------*\
|   
|  Name:  Dialogue Editor IO Abstraction (eio)
|
|  Description:  
|     The dialogue editor IO abstraction provides IO operations needed
|     to save and load dialogues to and from the data base.
|
|  Component of:
|     Dialogue Editor Layer.
|

$Log:	eio.h,v $
 * Revision 1.2  90/05/21  13:51:44  little
 * fix up for multiple includes & start mods for visu/struc editor integration
 * 
 * Revision 1.1  89/11/30  11:19:34  bmc
 * Initial revision
 * 

|
|-----------------------------------------------------------------------------
|
|   Distribution: Approved for public release; distribution is unlimited.
|
|   Copyright (c) 1989  by  Carnegie  Mellon  University, Pittsburgh, PA.  The
|  Software Engineering  Institute  (SEI) is a federally  funded  research and
|  development center established  and  operated by Carnegie Mellon University
|  (CMU).  Sponsored  by  the  U.S.  Department  of   Defense  under  contract
|  F19628-85-C-0003,  the  SEI  is  supported  by  the  services  and  defense
|  agencies, with the U.S. Air Force as the executive contracting agent.
|
|    Permission to use,  copy,  modify, or  distribute  this  software and its
|  documentation for  any purpose and without fee  is hereby granted, provided
|  that  the above copyright notice appear  in  all copies and that both  that
|  copyright  notice  and   this  permission  notice  appear   in   supporting
|  documentation.   Further,  the  names  Software  Engineering  Institute  or
|  Carnegie  Mellon  University  may  not be used in  advertising or publicity
|  pertaining to distribution of the software without specific, written  prior
|  permission.  CMU makes no claims  or representations  about the suitability
|  of this software for any purpose.  This software is provided "as is" and no
|  warranty,  express  or  implied,  is  made  by  the  SEI  or CMU, as to the
|  accuracy  and  functioning of the program and related program material, nor
|  shall   the  fact of  distribution   constitute  any   such  warranty.   No
|  responsibility is assumed by the SEI or CMU in connection herewith.
|
\*--------------------------------------------------------------------------*/
#ifndef eio
#define eio

#include "edg.h"
#include <stdio.h>              /* C Standard I/O Package                   */
#include <errno.h>              /* Standard Ultrix error numbers            */

#include <sys/types.h>          /* System Types                             */

#include "global.h"             /* Global type defs and constants           */
#include "isc.h"                /* status code                              */

/*
\*--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------*\
|  Global Variable: eio_debug
|
|  Description:
|     Debug variable for the abstraction.
|
\* Definition:                                                              */

#ifdef eio_main
  int eio_debug = 1;
#else
  extern int eio_debug;
#endif

/*
\*--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------*\
|  Routine: eio_load_dialogue
| 
|  Description:  
|     Loads a dialogue from the data base.
|
\* Syntax:                                                                  */

	edg_dialogue eio_load_dialogue(
	  /* data_base	: in out string		*/
	);

/*
|  Parameters:
|     data_base - The name of the data base (i.e. file) from which to 
|		  load the dialogue.
|
|  Returns:
|      The topmost VC of the dialogue.
|
|  Statuses:
|     ok, out_of_memory, io_failure.
|
\*--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------*\
|  Routine: eio_save_dialogue
| 
|  Description:  
|     Saves a dialogue to the data base.
|
\* Syntax:                                                                  */

	void eio_save_dialogue(
	  /* file_name	: in out string	*/
	  /* dialogue	: in     edg_dialogue	*/
	);

/*
|  Parameters:
|     parent_vc - Parent vc or null if root vc.
|     parent_dialogue - Parent dialogue or null if sub vc.
|
|  Returns:
|      A handle to the newly created vc.
|
|  Statuses:
|     ok, invalid_vc, invalid_dialogue, out_of_memory.
|
\*--------------------------------------------------------------------------*/
#endif

