/* $Header: /u/04c/mnt/integ/source/de/include/RCS/fontsel.h,v 1.2 90/08/22 18:29:43 rcs Exp $ */
/*--------------------------------------------------------------------------*\
|  
|  Name:  fontsel.h
|
|  Description:  
|     Contains some defines for the font editor functions.
|
|  Component of:
|     Dialogue editor dialogue.
|
|  Related files:
|     fontsel.c - implementation of c routines for font selector.
|     fontsel.sl -  font selector dialogue.
|
|  Project:
|     Serpent
|     User Interface Project
|     Software Engineering Institute
|     Carnegie Mellon University
|     Pittsburgh, PA  15213
|
|  Version: 1.0
|
|  Project Leader:  
|     Len Bass
|     ljb@sei.cmu.edu
|
|  Author:  
|     Robert C. Seacord
|     rcs@sei.cmu.edu  
|
|  Change History:
|     June 20, 1990 : Module created.
|     $Log:	fontsel.h,v $
 * Revision 1.2  90/08/22  18:29:43  rcs
 * *** empty log message ***
 * 
 * Revision 1.1  90/06/20  11:15:13  rcs
 * Initial revision
 * 
|
\*--------------------------------------------------------------------------*\
|
|   Distribution: Approved for public release; distribution is unlimited.
|
|   Copyright (c) 1989  by  Carnegie  Mellon  University, Pittsburgh, PA.  The
|  Software Engineering  Institute  (SEI) is a federally  funded  research and
|  development center established  and  operated by Carnegie Mellon University
|  (CMU).  Sponsored  by  the  U.S.  Department  of   Defense  under  contract
|  F19628-85-C-0003,  the  SEI  is  supported  by  the  services  and  defense
|  agencies, with the U.S. Air Force as the executive contracting agent.
|
|    Permission to use,  copy,  modify, or  distribute  this  software and its
|  documentation for  any purpose and without fee  is hereby granted, provided
|  that  the above copyright notice appear  in  all copies and that both  that
|  copyright  notice  and   this  permission  notice  appear   in   supporting
|  documentation.   Further,  the  names  Software  Engineering  Institute  or
|  Carnegie  Mellon  University  may  not be used in  advertising or publicity
|  pertaining to distribution of the software without specific, written  prior
|  permission.  CMU makes no claims  or representations  about the suitability
|  of this software for any purpose.  This software is provided "as is" and no
|  warranty,  express  or  implied,  is  made  by  the  SEI  or CMU, as to the
|  accuracy  and  functioning of the program and related program material, nor
|  shall   the  fact of  distribution   constitute  any   such  warranty.   No
|  responsibility is assumed by the SEI or CMU in connection herewith.
|
\*--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------*\
|  Global Variable: fs_debug
|
|  Description:
|     Debug variable for the abstraction.
|
\* Definition:                                                              */

#ifdef fs_main
  int fs_debug = 1;
#else
#  ifndef fs_slang
     extern int fs_debug;
#  endif
#endif

/*
\*--------------------------------------------------------------------------*/

#define FONT_NAME	0
#define FONT_SIZE	1
#define FONT_SLANT	2
#define FONT_WEIGHT	3
