static char rcsid [] =
        "$Header: /u/04c/mnt/integ/source/de/src/RCS/ea2_stubs.c,v 1.4 90/08/06 16:32:32 little Exp $";


/*--------------------------------------------------------------------------*\
|   
|  Name:  Dialogue Editor Dummy stubs
|
|  Description:  
|     this file has some dummy entry points for routines in the slang compiler
|	we do not want to execute when using the slang parser to aid in
|	bringing source slang programs into internal editor form
|
|  Component of:
|     Dialogue Editor Layer.
|
$Log:	ea2_stubs.c,v $
 * Revision 1.4  90/08/06  16:32:32  little
 * take out cs2_vc_gen.  it is added to evc.c to provide a "handle" for
 * supporting dialogue importing vc by vc instead of the entire dialogue at
 * once.  the parser calls cs2_vc_gen after it has parsed each vc.
 * 
 * Revision 1.3  90/02/15  11:34:01  ejh
 * changed c22_top to c22_TOP
 * 
 * Revision 1.2  90/01/22  16:09:24  little
 * dues to changes in compiler added stubs for cs2_vc_gen, cs2_initialize,
 *   cs2_cc_gen, cs2_vc_cleanup, and csd_vc_write.
 * 
 * Revision 1.1  89/11/29  09:36:36  bmc
 * Initial revision
 * 
|
|
|
|
|-----------------------------------------------------------------------------
|
|   Distribution: Approved for public release; distribution is unlimited.
|
|   Copyright (c) 1989  by  Carnegie  Mellon  University, Pittsburgh, PA.  The
|  Software Engineering  Institute  (SEI) is a federally  funded  research and
|  development center established  and  operated by Carnegie Mellon University
|  (CMU).  Sponsored  by  the  U.S.  Department  of   Defense  under  contract
|  F19628-85-C-0003,  the  SEI  is  supported  by  the  services  and  defense
|  agencies, with the U.S. Air Force as the executive contracting agent.
|
|    Permission to use,  copy,  modify, or  distribute  this  software and its
|  documentation for  any purpose and without fee  is hereby granted, provided
|  that  the above copyright notice appear  in  all copies and that both  that
|  copyright  notice  and   this  permission  notice  appear   in   supporting
|  documentation.   Further,  the  names  Software  Engineering  Institute  or
|  Carnegie  Mellon  University  may  not be used in  advertising or publicity
|  pertaining to distribution of the software without specific, written  prior
|  permission.  CMU makes no claims  or representations  about the suitability
|  of this software for any purpose.  This software is provided "as is" and no
|  warranty,  express  or  implied,  is  made  by  the  SEI  or CMU, as to the
|  accuracy  and  functioning of the program and related program material, nor
|  shall   the  fact of  distribution   constitute  any   such  warranty.   No
|  responsibility is assumed by the SEI or CMU in connection herewith.
|
\*--------------------------------------------------------------------------*/

#include <stdio.h>

#define c22_TOP
#include "c22.h"

#include "serpent.h"

int ea2_stubs_debug = 1;

#undef DEBUG1
#undef DEBUG2
#undef DEBUG3
#define DEBUG1(statement) SERPENT_DEBUG1(ea2_stubs_debug, statement)
#define DEBUG2(statement) SERPENT_DEBUG2(ea2_stubs_debug, statement)
#define DEBUG3(statement) SERPENT_DEBUG3(ea2_stubs_debug, statement)

void cam_fix_news ()
{
   DEBUG2 (fprintf (stderr, "stub cam_fix_news\n"););
   return;
}


void cs2_gen ()
{
   DEBUG2 (fprintf (stderr, "stub cs2_gen\n"););
   return;
}


void cs2_initialize ()
{
   return;
}


void cs2_cc_gen ()
{
   return;
}


void cs2_vc_cleanup ()
{
   return;
}


void csd_vc_write ()
{
   return;
}


