#include "sat.ill"

|||

#define color_button(cmdname,horiz,vert,b_color)\
cmdname: XawCommand {\
Attributes:\
  parent: c_form1;\
  horizDistance: horiz;\
  x:0;\
  vertDistance:  vert;\
  y:0;\
  width: 25;\
  height: 25;\
  borderWidth: 1;\
  label: " ";\
  background: b_color;\
 Methods:\
  notify: {\
    c_color:=b_color;\
}\
}

/* 
   This is a slang program to demonstrate the use of a macro to make
   repeated calls to create an object.  By using a macro the user can
   vary some of the object attributes while creating multiple instances
   of that object.  The location and color of the object is varied

   There is a view controller that is instantiated when the "All Colors"
   button is pressed.  Then repeated calls are made to the color_button
   macro to create a 64 color pallete.
*/

Variables:

  display_color : FALSE;
  c_color : " ";

Objects:

  menu_bar: XawBboard
  {
    Attributes:
    height:400;
    width: 350;
  }

  menu1_item: XawCommand
   {
    Attributes:
      parent: menu_bar;
      vertDistance: 3;
      horizDistance: 10;
      height: 20;
      width: 125;
      font: "9x15bold";
      label : "ALL COLORS";

    Methods:

      notify:
      {
        display_color := TRUE;
      }
   }

     quit_menu_item:  XawCommand

     { ATTRIBUTES:

       parent:  menu_bar;
       height: 20;
       width: 50;
       vertDistance: 3;
       horizDistance: 135;
       font: "9x15bold";
       label: "QUIT";

    METHODS:

      notify:
        {
         exit ();
        }
   }


/*-------  view controller ----------------*/

VC:  color_submenu1

Creation Condition:  (display_color)

Objects:

  c_form1: XawForm {
    Attributes:
      parent: menu_bar;
      vertDistance: 25;
      horizDistance:10;
      borderWidth: 0;
      height: 350;
      width: 300;
      allowUserMove: TRUE;
      allowUserResize: TRUE;
}
/* first col */
color_button(color1,0,10,"khaki")
color_button(color2,0,35,"yellow")
color_button(color3,0,60,"gold")
color_button(color4,0,85,"goldenrod")
color_button(color5,0,110,"salmon")
color_button(color6,0,135,"indian red")
color_button(color7,0,160,"orange red")
color_button(color8,0,185,"red")
/* sec col */
color_button(color9,25,10,"green yellow")
color_button(color10,25,35,"yellow green")
color_button(color11,25,60,"wheat")
color_button(color12,25,85,"tan")
color_button(color13,25,110,"orange")
color_button(color14,25,135,"coral")
color_button(color15,25,160,"sienna")
color_button(color16,25,185,"brown")
/* third col */
color_button(color17,50,10,"medium spring green")
color_button(color18,50,35,"lime green")
color_button(color19,50,60,"forest green")
color_button(color20,50,85,"sea green")
color_button(color21,50,110,"pink")
color_button(color22,50,135,"maroon")
color_button(color23,50,160,"medium violet red")
color_button(color24,50,185,"firebrick")
/* fourth col */
color_button(color25,75,10,"pale green")
color_button(color26,75,35,"green")
color_button(color27,75,60,"dark olive green")
color_button(color28,75,85,"dark green")
color_button(color29,75,110,"plum")
color_button(color30,75,135,"violet")
color_button(color31,75,160,"magenta")
color_button(color32,75,185,"medium orchid")
/* fifth col */
color_button(color33,100,10,"aquamarine")
color_button(color34,100,35,"spring green")
color_button(color35,100,60,"sea green")
color_button(color36,100,85,"thistle")
color_button(color37,100,110,"orchid")
color_button(color38,100,135,"violet red")
color_button(color39,100,160,"dark orchid")
color_button(color40,100,185,"blue violet")
/* sixth col */
color_button(color41,125,10,"cyan")
color_button(color42,125,35,"dark turquoise")
color_button(color43,125,60,"medium aquamarine")
color_button(color44,125,85,"medium turquoise")
color_button(color45,125,110,"medium slate blue")
color_button(color46,125,135,"slate blue")
color_button(color47,125,160,"blue")
color_button(color48,125,185,"medium blue")
/* seventh col */
color_button(color49,150,10,"turquoise")
color_button(color50,150,35,"sky blue")
color_button(color51,150,60,"light blue")
color_button(color52,150,85,"cornflower blue")
color_button(color53,150,110,"steel blue")
color_button(color54,150,135,"dark slate blue")
color_button(color55,150,160,"navy blue")
color_button(color56,150,185,"midnight blue")
/* eighth col */
color_button(color57,175,10,"white")
color_button(color58,175,35,"light gray")
color_button(color59,175,60,"light steel blue")
color_button(color60,175,85,"gray")
color_button(color61,175,110,"cadet blue")
color_button(color69,175,135,"dim grey")
color_button(color63,175,160,"dark slate grey")
color_button(color64,175,185,"black")


  c_label1: XawLabel {
    Attributes:
      parent: c_form1;
      vertDistance: 240;
      horizDistance: 0;
      height: 20;
      width:90;
      label: "Color is:";
      justify: 0;
      font: "9x15bold";
      borderWidth:0;
}
  c_label2: XawLabel {
    Attributes:
      parent: c_form1;
      vertDistance: 240;
      horizDistance:95;
      width: 175;
      height: 20;
      font: "9x15bold";
      label: c_color;
      borderWidth: 1;
      justify: 0;
}

ENDVC color_submenu1




