#include "sat.ill"

|||

#include "sstring.ext"

VARIABLES:
   accumulator : 0;
   last_value  : 0;
   please_send : false;
   good_msg    : "Edit number in text widget and press ADD";
   error_msg   : "Non-numeric value.  Please re-edit and press ADD";
   prompt      : good_msg;


OBJECTS:
   the_form : XawBboard
      {
      ATTRIBUTES: 

      height           : 200;
      width            : 350;
      background : "white";
      }

   prompt_area : XawLabel
      {
      ATTRIBUTES: 

      parent           : the_form;
      horizDistance   : 1;
      vertDistance    : 1;
      background : "white";
      foreground : "black";
      height           : 50;
      width            : 350;
      label       : prompt;
      }

   input_area : XawText
      {
      ATTRIBUTES: 

      parent           : the_form;
      horizDistance   : 1;
      vertDistance    : 51;
      width            : 350;
      height           : 20;
      sendBuffer      : please_send;
      editType        : 2;
      textBuffer      : last_value;
         

      METHODS:

      send:
         {
         IF (string_is_integer (textBuffer)) THEN
            prompt := good_msg;
            accumulator := accumulator + textBuffer;
         ELSE
            prompt := error_msg;
         ENDIF;
         last_value := textBuffer;
         please_send := false;
         }
      }

   add_button : XawCommand
      {
      ATTRIBUTES: 

      parent           : the_form;
      horizDistance   : 1;
      vertDistance    : 101;
      background : "white";
      foreground : "black";
      height           : 50;
      width            : 50;
      label       : "ADD";

      METHODS:

      notify:
         {
         please_send := true;
         }
      }

   accumulator_display : XawLabel
      {
      ATTRIBUTES: 

      parent           : the_form;
      horizDistance   : 61;
      vertDistance    : 101;
      height           : 50;
      width            : 50;
      label       : accumulator;
      }
