#include "sat.ill"


|||


#include "sstring.ext"

#define FORM_WIDTH 	(350)

VARIABLES:
   input_string : "";
   msg          : "";
   please_send  : false;
   alpha_count  : -1;
   dummy;


OBJECTS:
   the_form : XawBboard
      {
      ATTRIBUTES: 

      height           : 200;
      width            : FORM_WIDTH;
      background : "white";
      }

   prompt_area : XawLabel
      {
      ATTRIBUTES: 

      parent           : the_form;
      horizDistance   : 1;
      vertDistance    : 1;
      background : "white";
      foreground : "black";
      height           : 50;
      width            : FORM_WIDTH;
      label       : "Type a string into the text buffer, then press OK";
      }

   input_area : XawText
      {
      ATTRIBUTES: 

      parent           : the_form;
      horizDistance   : 1;
      vertDistance    : 51;
      height           : 20;
      width            : FORM_WIDTH;
      sendBuffer      : please_send;
      editType        : 2;
      textBuffer      : input_string;

      METHODS:

      send:
         {
         input_string := textBuffer;
         please_send := false;
         alpha_count := string_count_chars (input_string,
                        "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ");

         /*
            Constructing the count message here prevents dependency loops
            since methods are only fired once.
         */
         IF (alpha_count = -1) THEN
            msg := "";

         ELSIF (alpha_count = 0) THEN
            msg := "There are no alphabetic characters in your string.";

         ELSE
            dummy := string_append ("There are ", alpha_count);
            msg := string_append (dummy,
                                  " alphabetic characters in your string.");
         ENDIF;
         }
      }

   count_area : XawLabel
      {
      ATTRIBUTES: 

      parent           : the_form;
      horizDistance   : 1;
      vertDistance    : 80;
      background : "white";
      foreground : "black";
      height           : 50;
      width            : FORM_WIDTH;
      label       : msg;
      }

   add_button : XawCommand
      {
      ATTRIBUTES: 

      parent           : the_form;
      vertDistance    : 140;
      background : "white";
      foreground : "black";
      height           : 50;
      width            : 50;
      horizDistance   : (FORM_WIDTH - width) / 2;
      label       : "OK";

      METHODS:

      notify:
         {
         please_send := true;
         }
      }
