
    VC: etro

      /*
      ** ETRO - Estimated Time to Return of Operation
      **
      ** This VC controls the creation of the ETRO XawBox that shows up next to
      ** a sensor when that sensor's status is not green.
      */
      CREATION CONDITION:	((sensor_sdd.status = YELLOW_STATUS) OR
				 (sensor_sdd.status = RED_STATUS))

#     define etro_parent  the_window

      OBJECTS:

	left_etro: XawLabel	{
	ATTRIBUTES:
	  parent:		etro_parent;
	  width:		SENSOR_WIDTH;
  	  height:		SENSOR_HEIGHT + 6;
	  vertDistance:         sensor_yloc;
	  horizDistance:	SENSOR_TO_SIDE - SENSOR_WIDTH - 2;
	  label:		sensor_sdd.etro;
	}

	right_etro: XawLabel {
	ATTRIBUTES:
	  parent:               etro_parent;
          width:                SENSOR_WIDTH;
          height:               SENSOR_HEIGHT + 6;
          vertDistance:         sensor_yloc;
	  horizDistance:	XMAX - SENSOR_TO_SIDE + 5;
          label:                sensor_sdd.etro;
	}

    ENDVC  etro
