/*  $Log:	create.sl,v $
% Revision 1.6  90/10/14  12:18:55  rm
% changed to new sat names
% 
% Revision 1.5  90/03/13  10:06:12  ljb
% remove setting of initial value since undefined works again
% 
% Revision 1.4  90/01/04  18:04:35  dvk
% In all slang/sdd files as a result of lexer/parser changes: 1) Changed
% all instances of "else if" to "elsif".  2) Changed variables named "create"
% to "create_it" or "create_btn" as needed ("create" is now a reserved word).
% 
% Revision 1.3  89/11/08  14:25:03  ljb
% initialize value to 0
% 
% Revision 1.1  89/10/10  22:45:26  serpent
% Initial revision
% 
Revision 1.1  89/08/07  16:51:16  trm
Initial revision
    */
/*---------------------------------------------------------------------*\
|     Macro: create operator information in shared data
|
|     Usage: this macros is used after a definition of
|            a create operator.  It creates a command widget
|            and the appropriate method which creates shared data
|            and fills in as much as reasonable
|
|     Entry: create_op(flabel,x_pos,y_pos,locvar1,op_code)
|             args: flabel: label for command widget
|                   x_pos: x position of widget
|                   y_pos: y position of widget
|                   locvar1: local variable for component id
|                   op_code: operation code
|
\*--------------------------------------------------------------------*/
#define create_op(flabel,x_pos,y_pos,locvar1,op_code)\
flabel: XawCommand\
        {ATTRIBUTES:\
           parent: main_background;\
\
           label: "op_code";\
           font: NORMAL_FONT;\
\
           width: 50;\
           height: 30;\
\
           x: x_pos;\
           y: y_pos;\
           horizDistance: x;\
           vertDistance: y;\
\
         METHODS:\
\
notify: {\
locvar1 := create_sd_instance(\
           "component_sdd",\
           "DM_BOX"\
         );\
\
   put_component_value(\
           locvar1,\
           "input1_value_id",\
           NULL\
         );\
\
   put_component_value(\
           locvar1,\
           "input2_value_id",\
           NULL\
         );\
\
   put_component_value(\
           locvar1,\
           "operator",\
           "op_code"\
         );\
\
             put_component_value ( locvar1, "create_it", FALSE);\
\
             message := "Select position for argument";\
	}}
