#include "smo.ill"

|||

EXTERNALS:  void ipb_start_recording ( string, string );

/*----------------------------------------------------------------------
|  This demo puts three objects on the screen. One is a selectable button
|  which is labelled "push".  The other shows how many times the button
|  has been pushed.  The last button is provided so the user can quit
|  the counter demo. This demonstrates the automatic propogation of
|  dependencies within Serpent
|-----------------------------------------------------------------------*/

   VARIABLES:
     counter : 0;

   OBJECTS:

     background_XmForm: XmBulletinBoard
     { 
      ATTRIBUTES:
        width: 400;
        height: 400; 
        resizepolicy: 0;
     }


     display:  XmLabel
     {
      ATTRIBUTES:

        parent:  background_XmForm;
        borderwidth: 2;
        width: 60;
        height: 40;
        y: 100;
        x: 175;
        labelstring: counter;
        recomputesize: false;
        alignment: 1; 
      }

     push_button:  XmPushButton
     { 
      ATTRIBUTES:

        parent:  background_XmForm;
        width: 60;
        height: 40;
        y: 200;
        x: 175;
        labelstring: "PUSH";
        alignment: 1;

      METHODS:

        notify:
        {
         counter := counter + 1;
        }
     }

     push_button2:  XmPushButton
     { 
      ATTRIBUTES:

        parent:  background_XmForm;
        width: 60;
        height: 40;
        y: 300;
        x: 175;
        labelstring: "QUIT";
        alignment: 1;

      METHODS:

        notify:
        {
         exit ();
        }
     }
