    VC:	dialog
  
      /*
      ** Sub-VC to "sensor":
      **   The dialog VC controls the creation of dialog XawBoxes, which allow the
      **   user to change various sensor attributes.  A dialog XawBox is created
      **   when a sensor is selected.
      */
  
      CREATION CONDITION:	(display_dialog)
  
#     define LABEL_HEIGHT	(25)
#     define LABEL_WIDTH	(75)
  
      VARIABLES:
  
        count:		2;
  
      OBJECTS:
  
        the_dialog_form: XmBulletinBoard
  
        {
  
        ATTRIBUTES:
  
  	parent:		     the_window;
  	width:		     LABEL_WIDTH * 2 + 24;
  	height:		     (4 * LABEL_HEIGHT) + SENSOR_HEIGHT + 37;
  	borderWidth:	     2;
  	borderColor:	     "white";

        y:      TOP_TO_MID_CC + (CC_HEIGHT / 2) + 20;
        x:      SIDE_TO_MIDDLE - ( LABEL_WIDTH + 10 );

  
        } /* end the_dialog_form */
  
        name_label: XmLabel
  
        {
  
  	ATTRIBUTES:
  
  	  parent:		the_dialog_form;
  	  width:		LABEL_WIDTH * 2;
  	  height:		LABEL_HEIGHT ;
  	  labelString:		sensor_sdd.site;
  	  alignment:		CENTER;
          borderColor: "black";
          borderWidth: 1;  
          x:            0;

        } /* end name_label */
  
        status_label: XmLabel
  
        {
  
  	ATTRIBUTES:
  
  	  parent:		the_dialog_form;
  	  width:		LABEL_WIDTH;
  	  height:		LABEL_HEIGHT;
          y:                    LABEL_HEIGHT+15;
          x:                    0;
  	  labelString:		"STATUS";
  	  alignment:		LEFT;
  
        } /* end status_label */
  
        status_text: XmText
  
        {
  
  	ATTRIBUTES:
  
  	  parent:		the_dialog_form;
  	  width:		LABEL_WIDTH;
  	  height:		LABEL_HEIGHT;
          y:                    LABEL_HEIGHT+15;
          x:                    LABEL_WIDTH+10;
  	  value:
  	  {
  	    IF (sensor_sdd.status = GREEN_STATUS) THEN
  	      value := "green";
  
  	    ELSIF (sensor_sdd.status = YELLOW_STATUS) THEN
  	      value := "yellow";
  
  	    ELSIF (sensor_sdd.status = RED_STATUS) THEN
  	      value := "red";
  
  	/*  ELSE do nothing */
  
  	    ENDIF;
  	  }
  
  	METHODS:
  
  	  send:
  	  {
  
  	      IF (value = "green") THEN
		sensor_sdd.status := GREEN_STATUS;
  
  	      ELSIF (value = "yellow") THEN
		sensor_sdd.status := YELLOW_STATUS;
  
  	      ELSIF (value = "red") THEN
		sensor_sdd.status := RED_STATUS;
  
  	  /*  ELSE do nothing */
  
  	      ENDIF;
  	      display_dialog := FALSE;
  	  }
  
        } /* end status_text */
  
        etro_label: XmLabel
  
        {
  
  	ATTRIBUTES:
  
  	  parent:		the_dialog_form;
  	  width:		LABEL_WIDTH;
  	  height:		LABEL_HEIGHT;
          y:                    2 * LABEL_HEIGHT+15;
          x:                    0;  
  	  labelString:		"ETRO";
  	  alignment:		LEFT;
  
        } /* end etro_label */
  
        etro_text: Xmtext
  
        {
  
  	ATTRIBUTES:
  
  	  parent:		the_dialog_form;
  	  width:		LABEL_WIDTH;
  	  height:		LABEL_HEIGHT;
          y:                    2 * LABEL_HEIGHT+10;
          x:                    LABEL_WIDTH+10;
  	  value: sensor_sdd.etro;
  
  
  	METHODS:
  
  	  send:
  	  {
            sensor_sdd.etro := value;
  	  }
  
        } /* end etro_text */
  
       rfo_label: XmLabel
  
        {
  
  	ATTRIBUTES:
  
  	  parent:		the_dialog_form;
  	  width:		LABEL_WIDTH;
  	  height:		LABEL_HEIGHT;
          y:                    3 * LABEL_HEIGHT+15;
          x:                    0;
  	  labelString:		"RFO";
  	  alignment:		LEFT;
  
        } /* end rfo_label */
  
        rfo_text: XmText
  
        {
  
  	ATTRIBUTES:
  
  	  parent:		the_dialog_form;
  	  width:		LABEL_WIDTH;
  	  height:		LABEL_HEIGHT;
          y:                    3 * LABEL_HEIGHT+10;
          x:                    LABEL_WIDTH+10;
  	  value:		sensor_sdd.rfo;
  
        } /* end rfo_text */
  
        ok_button: XmPushButton
  
        {
  
  	ATTRIBUTES:
    	  parent:		the_dialog_form;
  	  width:		SENSOR_WIDTH;
  	  height:		SENSOR_HEIGHT;
          y:                    4 * LABEL_HEIGHT + 15;
          x:                    42 + (SENSOR_WIDTH/2);
  	  labelString:		"OK";  
  	METHODS:
  
  	  notify:
  	  {
  	      status_text.sendBuffer := 1;
  	      etro_text.sendBuffer := 1;
  	  }
  
        } /* end ok_button */
  
    ENDVC  dialog
