
    VC: etro

      /*
      ** ETRO - Estimated Time to Return of Operation
      **
      ** This VC controls the creation of the ETRO XawBox that shows up next to
      ** a sensor when that sensor's status is not green.
      */
      CREATION CONDITION:	((sensor_sdd.status = YELLOW_STATUS) OR
				 (sensor_sdd.status = RED_STATUS))

#     define etro_parent  the_window

      OBJECTS:

	left_etro: Xmlabel

	{

	ATTRIBUTES:

	  parent:		etro_parent;
          background:     "white";
	  width:		SENSOR_WIDTH;
	  height:		SENSOR_HEIGHT + 4;
          y:                    sensor_yloc;
          x:                    SENSOR_TO_SIDE - SENSOR_WIDTH - 2;
          borderWidth:         1;
          borderColor:         "black";
          recomputeSize:       FALSE;
	  labelString:		sensor_sdd.etro;
	  alignment:		CENTER;

	}

	right_etro: Xmlabel

	{

	ATTRIBUTES:

	  parent:               etro_parent;
          borderWidth:         1;
          background:     "white";
          borderColor:         "black";
          width:                SENSOR_WIDTH;
          height:               SENSOR_HEIGHT + 4;
          y:                    sensor_yloc;
          x:                    XMAX - SENSOR_TO_SIDE + 5;
          labelString:         sensor_sdd.etro;
          alignment:            CENTER;


	}

    ENDVC  etro
