/* $Header: /u/04c/mnt/integ/source/externs/include/RCS/sstdio.h,v 1.1 90/11/16 16:42:49 rcs Exp $ */
/*--------------------------------------------------------------------------*\
|   
|  Name:  sttdio.h
|
|  Description:  
|     This file contains macros and constants for use with Slang programs.  
|     It is a separate file from "sttdio.ext" because the macros and constants
|     need to be shared by Slang programs and the C implementation of the
|     other functions.  Because of the difference in Slang and C external
|     function definitions, only the macro definitions can be shared.  The
|     function definitions must reside in separate files.
|
|  Component of:
|     External function libraries.
|
|  Related files:
|     sttdio.c   - contains the C implementation of the functions.
|     sttdio.ext - contains external Slang binding for these functions.
|
|  Project:
|     Serpent
|     User Interface Project
|     Software Engineering Institute
|     Carnegie Mellon University
|     Pittsburgh, PA  15213
|
|  Version: 1.0
|
|  Project Leader:  
|     Len Bass
|     ljb@sei.cmu.edu
|
|  Author:  
|     Brian M. Clapper
|     bmc@sei.cmu.edu  
|
|  History:
|      $Log:	sstdio.h,v $
 * Revision 1.1  90/11/16  16:42:49  rcs
 * Initial revision
 * 
|
\*--------------------------------------------------------------------------*\
|
|   Distribution: Approved for public release; distribution is unlimited.
|
|   Copyright (c) 1989  by  Carnegie  Mellon  University, Pittsburgh, PA.  The
|  Software Engineering  Institute  (SEI) is a federally  funded  research and
|  development center established  and  operated by Carnegie Mellon University
|  (CMU).  Sponsored  by  the  U.S.  Department  of   Defense  under  contract
|  F19628-85-C-0003,  the  SEI  is  supported  by  the  services  and  defense
|  agencies, with the U.S. Air Force as the executive contracting agent.
|
|    Permission to use,  copy,  modify, or  distribute  this  software and its
|  documentation for  any purpose and without fee  is hereby granted, provided
|  that  the above copyright notice appear  in  all copies and that both  that
|  copyright  notice  and   this  permission  notice  appear   in   supporting
|  documentation.   Further,  the  names  Software  Engineering  Institute  or
|  Carnegie  Mellon  University  may  not be used in  advertising or publicity
|  pertaining to distribution of the software without specific, written  prior
|  permission.  CMU makes no claims  or representations  about the suitability
|  of this software for any purpose.  This software is provided "as is" and no
|  warranty,  express  or  implied,  is  made  by  the  SEI  or CMU, as to the
|  accuracy  and  functioning of the program and related program material, nor
|  shall   the  fact of  distribution   constitute  any   such  warranty.   No
|  responsibility is assumed by the SEI or CMU in connection herewith.
|
\*--------------------------------------------------------------------------*/

#ifndef _SSTDIO_H_
#define _SSTDIO_H_

/*--------------------------------------------------------------------------*\
|  Constant: stream
|
|  Description:
|     Used to determine which stream to send the output to.
\*                                                                          */

#define SSTDOUT 0
#define SSTDERR 1

#endif  _SSTDIO_H_
