        static char rcsid [] = "$Header: /u/04c/mnt/integ/source/glue/src/RCS/gxb.c,v 1.1 90/10/03 18:11:02 rnk Exp $";

/*--------------------------------------------------------------------------*\
|
|  Name:	gxb.c
|
|  Description:
|	This is the dummy binding module for applications using libglue.a
|     See below for more details.
|
|  Component of:
|	GLUE processor
|
|  Related files:
|	many yacc, lex, and c files
|
|  Project:
|	SERPENT System
|	User Interface Prototyping
|	Software Engineering Institute
|	Carnegie Mellon University
|	Pittsburgh, PA  15213
|
|  Version: 1.0
|
|  Owner:  
|	Len Bass
|	ljb@sei.cmu.edu
|
|  Authors:  
|	Daniel V. Klein
|	dvk@sei.cmu.edu
|
|	Rick Kazman
|	rnk@sei.cmu.edu
|
|  Change History:
$Log:	gxb.c,v $
 * Revision 1.1  90/10/03  18:11:02  rnk
 * Initial revision
 * 

 * Revision 1.2  90/06/06  16:09:43  dvk
 * Added dummy values for glueSpecialProcList and glueSpecialProcCount.
 * 
 * Revision 1.1  90/05/17  16:12:03  dvk
 * Initial revision
 * 
|
\*--------------------------------------------------------------------------*\
|
|   Distribution: Approved for public release; distribution is unlimited.
|
|   Copyright (c) 1989  by  Carnegie  Mellon  University, Pittsburgh, PA.  The
|  Software Engineering  Institute  (SEI) is a federally  funded  research and
|  development center established  and  operated by Carnegie Mellon University
|  (CMU).  Sponsored  by  the  U.S.  Department  of   Defense  under  contract
|  F19628-85-C-0003,  the  SEI  is  supported  by  the  services  and  defense
|  agencies, with the U.S. Air Force as the executive contracting agent.
|
|    Permission to use,  copy,  modify, or  distribute  this  software and its
|  documentation for  any purpose and without fee  is hereby granted, provided
|  that  the above copyright notice appear  in  all copies and that both  that
|  copyright  notice  and   this  permission  notice  appear   in   supporting
|  documentation.   Further,  the  names  Software  Engineering  Institute  or
|  Carnegie  Mellon  University  may  not be used in  advertising or publicity
|  pertaining to distribution of the software without specific, written  prior
|  permission.  CMU makes no claims  or representations  about the suitability
|  of this software for any purpose.  This software is provided "as is" and no
|  warranty,  express  or  implied,  is  made  by  the  SEI  or CMU, as to the
|  accuracy  and  functioning of the program and related program material, nor
|  shall   the  fact of  distribution   constitute  any   such  warranty.   No
|  responsibility is assumed by the SEI or CMU in connection herewith.
|
\*--------------------------------------------------------------------------*/

/*
 * The routine glue_get_technology expects to find an array named
 * glueClassList.  This array lists the classes associated with the
 * various widgets in a technology.  If it has not been encountered
 * already in the linking process, this module provides it.  This is
 * the usual case for an application (i.e., the visual editor) using
 * gluelib.a.  For the technology driver (e.g., SAW, SMOT, etc.), a
 * module called <technology>_bind.c will be created by Glue that
 * contains the real glueClassList array.
 *
 * The same holds true for the SpecialProc routines.
 *
 * See the module glue_intf.h for additional details.
 */

#include <X11/Intrinsic.h>

WidgetClass *glueClassList[] = {
    (WidgetClass *)NULL
    };

int glueClassCount = 0;

typedef void (*PFV)();

PFV glueSpecialProcList[] = {
    (PFV)NULL
    };

int glueSpecialProcCount = 0;

Widget glueConvenienceRtnList[] = {
    (Widget)NULL
    };

int glueConvenienceRtnCount = 0;
