/* $Header: /u/04c/mnt/integ/source/six/include/RCS/six.h,v 1.2 90/06/21 15:41:36 rnk Exp $ */

/*--------------------------------------------------------------------------*\
|
|  Name:
|	six.h
|
|  Description:
|	The include file for six.
|
|  Component of:
|	Six
|
|  Related files:
|	six.c
|
|  Project:
|	SERPENT System
|	User Interface Prototyping
|	Software Engineering Institute
|	Carnegie Mellon University
|	Pittsburgh, PA  15213
|
|  Version:
|	1.0
|
|  Owner:  
|	Len Bass
|	ljb@sei.cmu.edu
|
|  Author:
|	Rick Kazman
|	rnk@sei.cmu.edu
|
|  Change History:
 $Log:	six.h,v $
 * Revision 1.2  90/06/21  15:41:36  rnk
 * fixed header
 * 
 * Revision 1.1  90/06/21  13:55:08  rnk
 * Initial revision
 * 
\*--------------------------------------------------------------------------*\
|
|   Distribution: Approved for public release; distribution is unlimited.
|
|   Copyright (c) 1989  by  Carnegie  Mellon  University, Pittsburgh, PA.  The
|  Software Engineering  Institute  (SEI) is a federally  funded  research and
|  development center established  and  operated by Carnegie Mellon University
|  (CMU).  Sponsored  by  the  U.S.  Department  of   Defense  under  contract
|  F19628-85-C-0003,  the  SEI  is  supported  by  the  services  and  defense
|  agencies, with the U.S. Air Force as the executive contracting agent.
|
|    Permission to use,  copy,  modify, or  distribute  this  software and its
|  documentation for  any purpose and without fee  is hereby granted, provided
|  that  the above copyright notice appear  in  all copies and that both  that
|  copyright  notice  and   this  permission  notice  appear   in   supporting
|  documentation.   Further,  the  names  Software  Engineering  Institute  or
|  Carnegie  Mellon  University  may  not be used in  advertising or publicity
|  pertaining to distribution of the software without specific, written  prior
|  permission.  CMU makes no claims  or representations  about the suitability
|  of this software for any purpose.  This software is provided "as is" and no
|  warranty,  express  or  implied,  is  made  by  the  SEI  or CMU, as to the
|  accuracy  and  functioning of the program and related program material, nor
|  shall   the  fact of  distribution   constitute  any   such  warranty.   No
|  responsibility is assumed by the SEI or CMU in connection herewith.
|
\*--------------------------------------------------------------------------*/

#ifndef SIX_H
int six_debug ;
#else
extern six_debug ;
#endif

#define BAD_COLOR -1

#define SIX_DEBUG1(statement) if (six_debug > 0) {statement;}
#define SIX_DEBUG2(statement) if (six_debug > 1) {statement;}
#define SIX_DEBUG3(statement) if (six_debug > 2) {statement;}




