/*--------------------------------------------------------------------------*/
/* CheckP.c : Check Platform						    */
/*--------------------------------------------------------------------------*/
/* Checks the architecture indicated by cc and outputs the value to be used */
/* for the configuration file (.cf). For internal use by install only.      */
/*--------------------------------------------------------------------------*/

main()
{

#ifdef ibm032
#define MacroIncludeFile "rt.cf"
printf("  MACHINETYPE=rt\n");
printf("  CFFILE=rt.cf\n");
#undef ibm032
#define RtArchitecture
#endif /* ibm032 */

#ifdef ultrix
#define MacroIncludeFile "ultrix.cf"
printf("  MACHINETYPE=ultrix\n");
printf("  CFFILE=ultrix.cf\n");
#ifdef vax
#undef vax
#define VaxArchitecture
#endif
#ifdef mips
#undef mips
#define MipsArchitecture
#endif
#undef ultrix
#define UltrixArchitecture
#endif

#if defined(vax) && !defined(UltrixArchitecture)
#define MacroIncludeFile "bsd.cf"
printf("  MACHINETYPE=bsd\n");
printf("  CFFILE=bsd.cf\n");
#undef vax
#define VaxArchitecture
#endif

#ifdef sun
#define MacroIncludeFile "sun.cf"
printf("  MACHINETYPE=sun\n");
printf("  CFFILE=sun.cf\n");
#undef sun
#define SunArchitecture
#endif /* sun */

#ifdef hpux
printf("  MACHINETYPE=hp\n");
printf("  CFFILE=hp.cf\n");
#define MacroIncludeFile "hp.cf"
#undef hpux
#define HPArchitecture
#endif /* hpux */

#ifdef att
#define MacroIncludeFile "att.cf"
printf("  MACHINETYPE=att\n");
printf("  CFFILE=att.cf\n");
#undef att
#define ATTArchitecture
#endif /* att */

#ifdef apollo
#define MacroIncludeFile "apollo.cf"
printf("  MACHINETYPE=apollo\n");
printf("  CFFILE=apollo.cf\n");
#undef apollo
#define ApolloArchitecture
#endif /* apollo */

#ifdef sony
#define MacroIncludeFile "sony.cf"
printf("  MACHINETYPE=sony\n");
printf("  CFFILE=sony.cf\n");
#undef sony
#define SonyArchitecture
#endif /* sony */

#ifdef convex
#define MacroIncludeFile "convex.cf"
printf("  MACHINETYPE=convex\n");
printf("  CFFILE=convex.cf\n");
#undef convex
#define ConvexArchitecture
#endif /* convex */

#ifdef M4310
#define MacroIncludeFile "pegasus.cf"
printf("  MACHINETYPE=pegasus\n");
printf("  CFFILE=pegasys.cf\n");
#undef M4310
#define PegasusArchitecture
#endif /* M4310 */

#ifdef M4330
#define MacroIncludeFile "m4330.cf"
printf("  MACHINETYPE=m4330\n");
printf("  CFFILE=m4330.cf\n");
#undef  M4330
#define M4330Architecture
#endif /* M4330 */

#ifdef macII
/* A/UX cpp has no unique symbol:  build imake with
BOOTSTRAPCFLAGS=-DmacII */
#define MacroIncludeFile "macII.cf"
printf("  MACHINETYPE=macII\n");
printf("  CFFILE=macII.cf\n");
#undef  macII
#define MacIIArchitecture
#endif /* macII */

#ifdef CRAY
#define MacroIncludeFile "cray.cf"
printf("  MACHINETYPE=cray\n");
printf("  CFFILE=cray.cf\n");
#undef cray
#undef CRAY
#define CrayArchitecture
#endif /* CRAY */

#ifdef sgi
#define MacroIncludeFile "sgi.cf"
printf("  MACHINETYPE=sgi.cf\n");
printf("  CFFILE=sgi.cf\n");
#undef sgi
#define SGIArchitecture
#endif

#if defined(mips) && !defined(UltrixArchitecture) && !defined(SGIArchitecture)
#define MacroIncludeFile "umips.cf"
printf("  MACHINETYPE=umips\n");
printf("  CFFILE=umips.cf\n");
#undef mips
#undef umips
#define MipsArchitecture
#define UMipsArchitecture
#endif

#ifndef MacroIncludeFile
/**/# WARNING:  Imake.tmpl not configured; guessing at definitions!!!
/**/# This might mean that BOOTSTRAPCFLAGS wasn't   when building imake.
printf("  MACHINETYPE=generic\n");
printf("  CFFILE=generic.cf\n");
#endif
}
