/* $Header: /u/04c/mnt/integ/source/de/include/RCS/data_types.h,v 1.2 90/05/21 13:40:22 little Exp $ */
/*--------------------------------------------------------------------------*\
|   
|  Name:  data_types
|
|  Description:  
|     The data_types header file contains definitions for the integer
|     values of data types and should be included in both the dialogue
|     and application to promote consistent use of the interface.
|
|  Component of:
|     Dialoge Editor.
|
|  Related files:
|     data_types.h - contains the external definition of the data_types 
|	abstraction. 
|
|  Project:
|     Serpent
|     User Interface Prototyping
|     Software Engineering Institute
|     Carnegie Mellon University
|     Pittsburgh, PA  15213
|
|  Version: 1.0
|
|  Project Leader:  
|     Len Bass
|     ljb@sei.cmu.edu
|
|  Author:  
|     Robert C. Seacord
|     rcs@sei.cmu.edu  
|
|  Change History:
|     $Log:	data_types.h,v $
 * Revision 1.2  90/05/21  13:40:22  little
 * fix up for multiple includes & start mods for visu/struc editor integration
 * 
 * Revision 1.1  89/11/29  09:56:29  trm
 * Initial revision
 * 
 * Revision 1.1  89/09/28  12:07:52  rcs
 * Initial revision
 * 
|     September 27, 1989: Module created.
|
\*--------------------------------------------------------------------------*\
|
|   Distribution: Approved for public release; distribution is unlimited.
|
|   Copyright (c) 1989  by  Carnegie  Mellon  University, Pittsburgh, PA.  The
|  Software Engineering  Institute  (SEI) is a federally  funded  research and
|  development center established  and  operated by Carnegie Mellon University
|  (CMU).  Sponsored  by  the  U.S.  Department  of   Defense  under  contract
|  F19628-85-C-0003,  the  SEI  is  supported  by  the  services  and  defense
|  agencies, with the U.S. Air Force as the executive contracting agent.
|
|    Permission to use,  copy,  modify, or  distribute  this  software and its
|  documentation for  any purpose and without fee  is hereby granted, provided
|  that  the above copyright notice appear  in  all copies and that both  that
|  copyright  notice  and   this  permission  notice  appear   in   supporting
|  documentation.   Further,  the  names  Software  Engineering  Institute  or
|  Carnegie  Mellon  University  may  not be used in  advertising or publicity
|  pertaining to distribution of the software without specific, written  prior
|  permission.  CMU makes no claims  or representations  about the suitability
|  of this software for any purpose.  This software is provided "as is" and no
|  warranty,  express  or  implied,  is  made  by  the  SEI  or CMU, as to the
|  accuracy  and  functioning of the program and related program material, nor
|  shall   the  fact of  distribution   constitute  any   such  warranty.   No
|  responsibility is assumed by the SEI or CMU in connection herewith.
|
\*--------------------------------------------------------------------------*/

#define boolean_type 0
#define integer_type 1
#define real_type 2
#define string_type 3
#define record_type 4
#define id_type 5
#define buffer_type 6
#define undefined_type 7
#define no_data_type 8
