/* $Header: /u/04c/mnt/integ/source/de/include/RCS/status.h,v 1.3 90/06/18 14:35:28 rcs Exp $ */
/*--------------------------------------------------------------------------*\
|   
|  Name:  status.h
|
|  Description:  
|     The status file contains an enumeration of the different 
|     status codes that may be returned by the application.
|
|  Component of:
|     Dialoge Editor Dialogue.
|
|  Related files:
|     status.h - contains the external definition of the status codes.
|
|  Project:
|     Serpent
|     User Interface Prototyping
|     Software Engineering Institute
|     Carnegie Mellon University
|     Pittsburgh, PA  15213
|
|  Version: 1.0
|
|  Project Leader:  
|     Len Bass
|     ljb@sei.cmu.edu
|
|  Author:  
|     Robert C. Seacord
|     rcs@sei.cmu.edu  
|
|  Change History:
|     $Log:	status.h,v $
 * Revision 1.3  90/06/18  14:35:28  rcs
 * added ok_status
 * 
 * Revision 1.2  90/05/21  15:44:30  little
 * fix up for multiple includes & start mods for visu/struc editor integration
 * 
 * Revision 1.1  89/12/11  14:45:22  rcs
 * Initial revision
 * 
|     December 11, 1989: Module created.
|
\*--------------------------------------------------------------------------*\
|
|   Distribution: Approved for public release; distribution is unlimited.
|
|   Copyright (c) 1989  by  Carnegie  Mellon  University, Pittsburgh, PA.  The
|  Software Engineering  Institute  (SEI) is a federally  funded  research and
|  development center established  and  operated by Carnegie Mellon University
|  (CMU).  Sponsored  by  the  U.S.  Department  of   Defense  under  contract
|  F19628-85-C-0003,  the  SEI  is  supported  by  the  services  and  defense
|  agencies, with the U.S. Air Force as the executive contracting agent.
|
|    Permission to use,  copy,  modify, or  distribute  this  software and its
|  documentation for  any purpose and without fee  is hereby granted, provided
|  that  the above copyright notice appear  in  all copies and that both  that
|  copyright  notice  and   this  permission  notice  appear   in   supporting
|  documentation.   Further,  the  names  Software  Engineering  Institute  or
|  Carnegie  Mellon  University  may  not be used in  advertising or publicity
|  pertaining to distribution of the software without specific, written  prior
|  permission.  CMU makes no claims  or representations  about the suitability
|  of this software for any purpose.  This software is provided "as is" and no
|  warranty,  express  or  implied,  is  made  by  the  SEI  or CMU, as to the
|  accuracy  and  functioning of the program and related program material, nor
|  shall   the  fact of  distribution   constitute  any   such  warranty.   No
|  responsibility is assumed by the SEI or CMU in connection herewith.
|
\*--------------------------------------------------------------------------*/

#define ok_status 0
#define invalid_dialogue 60
#define invalid_vc 61
#define invalid_list 62
#define invalid_integer 63
#define invalid_string 64
#define invalid_buffer 65
#define invalid_object 66
#define invalid_attribute 67
#define invalid_method 68
#define invalid_object_instance 69
#define invalid_variable 70
#define file_already_exists 72
#define file_not_found 73
#define invalid_bin_file 74
#define invalid_src_file 75
