/*--------------------------------------------------------------------------*\
|   
|  Name: About Information (about)
|
|  Description:  
|     This file contains a brief "about" Serpent box.
|
|  Component of:
|     Serpent editor dialogue layer.
|
|  Related files:
|     none.
|
|  Project:
|     Serpent
|     User Interface Project
|     Software Engineering Institute
|     Carnegie Mellon University
|     Pittsburgh, PA  15213
|
|  Version: 1.0
|
|  Project Leader:  
|     Len Bass
|     ljb@sei.cmu.edu
|
|  Author:  
|     Robert C. Seacord
|     rcs@sei.cmu.edu  
|
|  Change History:
|     August 3, 1990: Module created.
|
\*--------------------------------------------------------------------------*\
|
|   Distribution: Approved for public release; distribution is unlimited.
|
|   Copyright (c) 1989  by  Carnegie  Mellon  University, Pittsburgh, PA.  The
|  Software Engineering  Institute  (SEI) is a federally  funded  research and
|  development center established  and  operated by Carnegie Mellon University
|  (CMU).  Sponsored  by  the  U.S.  Department  of   Defense  under  contract
|  F19628-85-C-0003,  the  SEI  is  supported  by  the  services  and  defense
|  agencies, with the U.S. Air Force as the executive contracting agent.
|
|    Permission to use,  copy,  modify, or  distribute  this  software and its
|  documentation for  any purpose and without fee  is hereby granted, provided
|  that  the above copyright notice appear  in  all copies and that both  that
|  copyright  notice  and   this  permission  notice  appear   in   supporting
|  documentation.   Further,  the  names  Software  Engineering  Institute  or
|  Carnegie  Mellon  University  may  not be used in  advertising or publicity
|  pertaining to distribution of the software without specific, written  prior
|  permission.  CMU makes no claims  or representations  about the suitability
|  of this software for any purpose.  This software is provided "as is" and no
|  warranty,  express  or  implied,  is  made  by  the  SEI  or CMU, as to the
|  accuracy  and  functioning of the program and related program material, nor
|  shall   the  fact of  distribution   constitute  any   such  warranty.   No
|  responsibility is assumed by the SEI or CMU in connection herewith.
|
\*--------------------------------------------------------------------------*/
  help_template(display_about_serpent,
    "About Serpent",
    "Serpent was developed by the User Interface Project at the Software\nEngineering Institute at Carnegie Mellon University.\n\nOriginal project members:\n\n\tLen Bass\n\tErik Hardy\n\tReed Little\n\tRobert Seacord\n\nAdditional project members:\n\n\tRick Kazman\n\tDan Klein\n\nResident affiliates:\n\n\tBrian Clapper\n\tKurt Hoyt\n\tTim McMahon\n\tRoger Moos\n\nStudent assistants:\n\n\tNancy Brenner\n\tSteve Chou\n\tChris Cook\n\tMarc Pottier\n\nSpecial thanx:\n\n\tMarybeth Chrissis\n\tMarianne Deacon\n\tAlbert Soule\n\nSerpent is a trademark of CMU.\nCopyright 1988, 1989, 1990 CMU\n\nThe X Window System is a trademark of MIT.\nCopyright 1985, 1986, 1987, 1988 Massachusetts Institute of Technology,\nCambridge, Massachusetts, and Digital Equipment Corporation,\nMaynard, Massachusetts.\n\nMotif is a trademark of OSF",
    500
  );


