#define color_button(cmdname,horiz,vert,b_color)\
cmdname: XawCommand {\
Attributes:\
  parent: ce_form;\
  horizDistance: 10 + horiz;\
  vertDistance:  20 + vert;\
  width: 20;\
  height: 20;\
  borderWidth: 1;\
  label: " ";\
  background: b_color;\
 Methods:\
  notify: {\
    put_sd_value(ce_attr_id, "value", b_color);\
    if (id_exists(ce_object_instance_id)) then\
       put_sd_value(ce_object_instance_id,ce_attr,b_color);\
    end if;\
  }\
}

#define mc_button(cmdname,horiz,vert,mcolor,tcolor)\
cmdname: XawCommand {\
Attributes:\
  parent: ce_form;\
  horizDistance: 10 + horiz;\
  vertDistance:  20 + vert;\
  width: 130;\
  height: 20;\
  borderWidth: 1;\
  label: tcolor;\
  justify: LEFT;\
 Methods:\
  notify: {\
   put_sd_value(ce_attr_id, "value", mcolor);\
    if (id_exists(ce_object_instance_id)) then\
       put_sd_value(ce_object_instance_id,ce_attr,mcolor);\
    end if;\
}\
}

VC: mono_color_menu

Creation Condition: (ce_editor AND NOT display.color)

Objects:

  ce_shell: XawTopLevelShell {
    Attributes:
      iconname: "Color";
      title: "Color Palette";
  }

  ce_form: XawBboard {
   Attributes:
    parent: ce_shell;
    height: 490;
    width: 560;
    allowUserMove: TRUE;
#ifdef SAW
      horizDistance: 100;
      vertDistance: 250;
#endif
#ifdef SMOT
      x: 0;
      y: 0;
      resizePolicy: false;
#endif
  }

  mono_ce_title: XawLabel {
    Attributes:
      parent: ce_form;
      borderWidth: 0;
      background: "black";
      foreground: "white";
      height: 18;
      horizDistance: 1;
      vertDistance: 1;
      width: 560;
      label: string_append(ce_attr, string_append(":  ", ce_object));
      justify: LEFT;
 }


  mc_button(color1,0,10,"aquamarine","aquamarine")
  mc_button(color2,0,35,"medium aquamarine","aquamarine, medium")
  mc_button(color3,0,60,"black","black")
  mc_button(color4,0,85,"blue","blue")
  mc_button(color5,0,110,"cadet blue","blue, cadet")
  mc_button(color6,0,135,"cornflower blue","blue, cornflower")
  mc_button(color7,0,160,"dark slate blue","blue, dark slate")
  mc_button(color8,0,185,"light blue","blue, light")
  mc_button(color9,0,210,"light steel blue","blue, light steel")
  mc_button(color10,0,235,"medium blue","blue, medium")
  mc_button(color11,0,260,"medium slate blue","blue, medium slate")
  mc_button(color12,0,285,"midnight blue","blue, midnight")
  mc_button(color13,0,310,"navy blue","blue, navy")
  mc_button(color14,0,335,"sky blue","blue, sky")
  mc_button(color15,0,360,"slate blue","blue, slate")
  mc_button(color16,0,385,"steel blue","blue, steel")

  mc_button(color17,135,10,"brown","brown")
  mc_button(color18,135,35,"coral","coral")
  mc_button(color19,135,60,"cyan","cyan")
  mc_button(color20,135,85,"firebrick","firebrick")
  mc_button(color21,135,110,"gold","gold")
  mc_button(color22,135,135,"goldenrod","goldenrod")
  mc_button(color23,135,160,"gray","gray")
  mc_button(color24,135,185,"dark slate gray", "gray, dark slate")
  mc_button(color25,135,210,"dim gray","gray, dim")
  mc_button(color26,135,235,"light gray","light, gray")
  mc_button(color27,135,260,"green","green")
  mc_button(color28,135,285,"dark green","green, dark")
  mc_button(color29,135,310,"dark olive green","green, dark olive")
  mc_button(color30,135,335,"forest green","green, forest")
  mc_button(color31,135,360,"lime green","green, lime")
  mc_button(color32,135,385,"medium sea green","green, medium sea")
   
  mc_button(color33,270,10,"medium spring green","green, medium spring")
  mc_button(color34,270,35,"pale green","green, pale")
  mc_button(color35,270,60,"sea green","green, sea")
  mc_button(color36,270,85,"spring green","green, spring")
  mc_button(color37,270,110,"yellow green","green, yellow")
  mc_button(color38,270,135,"khaki","khaki")
  mc_button(color39,270,160,"magenta","magenta")
  mc_button(color40,270,185,"maroon","maroon")
  mc_button(color41,270,210,"orange","orange")
  mc_button(color42,270,235,"orchid","orchid")
  mc_button(color43,270,260,"dark orchid","orchid, dark")
  mc_button(color44,270,285,"medium orchid","orchid, medium")
  mc_button(color45,270,310,"pink","pink")
  mc_button(color46,270,335,"plum","plum")
  mc_button(color47,270,360,"red","red")
  mc_button(color48,270,385,"medium violet red","red, medium violet")

  mc_button(color49,405,10,"indian red","red, indian")
  mc_button(color50,405,35,"orange red","red, orange")
  mc_button(color51,405,60,"violet red","red, violet")
  mc_button(color52,405,85,"sienna","sienna")
  mc_button(color53,405,110,"sienna","sienna")
  mc_button(color54,405,135,"tan","tan")
  mc_button(color55,405,160,"thistle","thistle")
  mc_button(color56,405,185,"turquoise","turquoise")
  mc_button(color57,405,210,"dark turquoise","turquoise, dark")
  mc_button(color58,405,235,"medium turquoise","turquoise, dark")
  mc_button(color59,405,260,"violet","violet")
  mc_button(color60,405,285,"blue violet","violet, blue")
  mc_button(color61,405,310,"wheat","wheat")
  mc_button(color62,405,335,"white","white")
  mc_button(color63,405,360,"yellow","yellow")
  mc_button(color64,405,385,"green yellow","yellow, green")

  button(
    done_button,
    ce_form,
    450,
    NULL,
    248,
    NULL,
    "Done",
    {
      ce_editor := FALSE;
    }
  )

end VC mono_color_menu;


VC: color_submenu

Creation Condition:  (ce_editor AND display.color)

Objects:
  ce_shell: XawTopLevelShell {
    Attributes:
      iconname: "Color";
      title: "Color Palette";
  }

  ce_form: XawBboard {
    Attributes:
      parent: ce_shell;
      height: 285;
      width: 217;
      allowUserMove: TRUE;
#ifdef SAW
      horizDistance: 100;
      vertDistance: 250;
#endif
#ifdef SMOT
      x: 0;
      y: 0;
      resizePolicy: false;
#endif
  }

  ce_title: XawLabel {
    Attributes:
      parent: ce_form;
      borderWidth: 0;
      background: "black";
      foreground: "white";
      height: 18;
      horizDistance: 1;
      vertDistance: 1;
      width: 215;
      label: string_append(ce_attr, string_append(":  ", ce_object));
      justify: LEFT;
  }

/* first col */
  color_button(color1,0,10,"khaki")
  color_button(color2,0,35,"yellow")
  color_button(color3,0,60,"gold")
  color_button(color4,0,85,"goldenrod")
  color_button(color5,0,110,"salmon")
  color_button(color6,0,135,"indian red")
  color_button(color7,0,160,"orange red")
  color_button(color8,0,185,"red")
/* sec col */
  color_button(color9,25,10,"green yellow")
  color_button(color10,25,35,"yellow green")
  color_button(color11,25,60,"wheat")
  color_button(color12,25,85,"tan")
  color_button(color13,25,110,"orange")
  color_button(color14,25,135,"coral")
  color_button(color15,25,160,"sienna")
  color_button(color16,25,185,"brown")
/* third col */
  color_button(color17,50,10,"medium spring green")
  color_button(color18,50,35,"lime green")
  color_button(color19,50,60,"forest green")
  color_button(color20,50,85,"medium sea green")
  color_button(color21,50,110,"pink")
  color_button(color22,50,135,"maroon")
  color_button(color23,50,160,"medium violet red")
  color_button(color24,50,185,"firebrick")
/* fourth col */
  color_button(color25,75,10,"pale green")
  color_button(color26,75,35,"green")
  color_button(color27,75,60,"dark olive green")
  color_button(color28,75,85,"dark green")
  color_button(color29,75,110,"plum")
  color_button(color30,75,135,"violet")
  color_button(color31,75,160,"magenta")
  color_button(color32,75,185,"medium orchid")
/* fifth col */
  color_button(color33,100,10,"aquamarine")
  color_button(color34,100,35,"spring green")
  color_button(color35,100,60,"sea green")
  color_button(color36,100,85,"thistle")
  color_button(color37,100,110,"orchid")
  color_button(color38,100,135,"violet red")
  color_button(color39,100,160,"dark orchid")
  color_button(color40,100,185,"blue violet")
/* sixth col */
  color_button(color41,125,10,"cyan")
  color_button(color42,125,35,"dark turquoise")
  color_button(color43,125,60,"medium aquamarine")
  color_button(color44,125,85,"medium turquoise")
  color_button(color45,125,110,"medium slate blue")
  color_button(color46,125,135,"slate blue")
  color_button(color47,125,160,"blue")
  color_button(color48,125,185,"medium blue")
/* seventh col */
  color_button(color49,150,10,"turquoise")
  color_button(color50,150,35,"sky blue")
  color_button(color51,150,60,"light blue")
  color_button(color52,150,85,"cornflower blue")
  color_button(color53,150,110,"steel blue")
  color_button(color54,150,135,"dark slate blue")
  color_button(color55,150,160,"navy blue")
  color_button(color56,150,185,"midnight blue")
/* eighth col */
  color_button(color57,175,10,"white")
  color_button(color58,175,35,"light gray")
  color_button(color59,175,60,"light steel blue")
  color_button(color60,175,85,"gray")
  color_button(color61,175,110,"cadet blue")
  color_button(color69,175,135,"dim grey")
  color_button(color63,175,160,"dark slate grey")
  color_button(color64,175,185,"black")

  button(
    done_button,
    ce_form,
    245,
    NULL,
    88,
    NULL,
    "Done",
    {
      ce_editor := FALSE;
    }
  )

end VC color_submenu;

