
#include "sat.ill"
#include "battery.ill"

#define XawBox(name,xloc,yloc,long,high)\
name: XawBboard {\
  attributes:\
    parent: background_form;\
    width: long;\
    height: high;\
    vertDistance: yloc;\
    horizDistance: xloc;\
}

#define button(name,depvar,text,xloc,yloc,prnt,long,high)\
name: XawCommand {\
  attributes:\
     parent: prnt;\
     width: long;\
     height: high;\
     vertDistance: yloc;\
     horizDistance: xloc;\
     label: text;\
     background: {\
	if (depvar = TRUE) then\
            background := "black";\
        else background := "white";\
   	end if; }\
     foreground: {\
	if (depvar = TRUE) then\
	    foreground := "white";\
 	else foreground := "black";\
        end if; }\
     methods:\
     notify:


#define indata(mi)\
    mi/**/stat1 : TRUE;\
    mi/**/stat2 : FALSE;\
    mi/**/locstat1 : TRUE;\
    mi/**/locstat2 : FALSE;\
    mi/**/chg1 : TRUE;\
    mi/**/chg2 : FALSE;\
    mi/**/chg3 : FALSE;\
    mi/**/chg4 : FALSE;\
    mi/**/chg5 : FALSE;\
    mi/**/chg6 : FALSE;\
    mi/**/switch1 : FALSE;\
    mi/**/switch2 : FALSE;\
    mi/**/switch3 : FALSE;\
    mi/**/switch4 : FALSE;\
    mi/**/switch5 : FALSE;\
    mi/**/switch6 : FALSE;\
    mi/**/pick1 : FALSE;\
    mi/**/pick2 : FALSE;\
    mi/**/pick3 : FALSE;\
    mi/**/pick4 : FALSE;\
    mi/**/pick5 : FALSE;\
    mi/**/pick6 : FALSE;\
    mi/**/pick7 : FALSE;\
    mi/**/pick8 : FALSE;\
    mi/**/pick9 : FALSE;\
    mi/**/attr1 : FALSE;\
    mi/**/attr2 : FALSE;

#define outdata(gun)\
    gun/**/chg : "00";\
    gun/**/df  : "0000";\
    gun/**/ti  : "0.00";\
    gun/**/qd  : "000";\
    gun/**/rds : 0;\
    gun/**/clr : TRUE;\
    gun/**/fir : FALSE;\
    gun/**/snd : FALSE;\
    gun/**/fze1 : TRUE;\
    gun/**/fze2 : FALSE;\
    gun/**/fze3 : FALSE;

#define title_XawBox(long,high,prnt,name,xloc,yloc,txt)\
	name: XawLabel\
	{attributes:\
		width: long;\
		height: high;\
		parent: prnt;\
		foreground: "white";\
		background: "black";\
		horizDistance: xloc;\
		vertDistance: yloc;\
		label: txt;\
		justify: 1;\
	}

	
#define text_XawBox(long,high,prnt,name,xloc,yloc,instring)\
	name: XawText\
	{attributes:\
		parent: prnt;\
		width: long;\
		height: high;\
		vertDistance: yloc;\
		horizDistance: xloc;\
		editType: 2;\
		textBuffer: instring;\
		font: "*-8-*";\
	}

/* 		font: "-*-*-*-*-*-*-8-*-*-*-*-*-*-*";\   */
	
#define default_font_text(long,high,prnt,name,xloc,yloc,instring)\
	name: XawText\
	{attributes:\
		parent: prnt;\
		width: long;\
		height: high;\
		vertDistance: yloc;\
		horizDistance: xloc;\
		editType: 2;\
		textBuffer: instring;\
	}
		

|||

variables:
	EightGun_ID:0;
	SixGun_ID  :0;
	indata(m1)
	indata(m2)
	indata(m3)
	Mission1_ID:0;
	Mission2_ID:0;
	Mission3_ID:0;
	Create_One: FALSE;
	Create_Two: FALSE;
	Create_Thr: FALSE;
	OneCreated: FALSE;
	TwoCreated: FALSE;
	ThrCreated: FALSE;
	ButtonsOne: FALSE;
	ButtonsTwo: FALSE;
	ButtonsThr: FALSE;
	SixGunLayout: FALSE;
	EightGunLayout: FALSE;
	Buttons1_ID:0;
	Buttons2_ID:0;
	Buttons3_ID:0;

objects:
        background_form: XawBboard
	{attributes:
         width: 1000;
         height: 820;
	 background: "black";
        }
        
   	title: XawLabel
	{attributes:
	parent: background_form;
        width: 300;
        height: 20;
        horizDistance: 350;
        vertDistance: 3;
/*	borderWidth: 3; 	*/
        label: "BATTERY COMPUTER SYSTEM  U.S. ARMY";
        justify: 1;
        }

/*-----------------------------------------------------------------------*/
/* BATTERY SELECTION WIDGETS:						 */
/*  select : background widget						 */
/*  bname  : battery label						 */
/*  bone,btwo,bthr : push buttons - mission selection                    */
/*-----------------------------------------------------------------------*/
	
	select: XawBboard
	{attributes:
	parent: background_form;
	width: 170;
	height: 22;
	horizDistance: 760;
	vertDistance: 5;
	}

	bname: XawLabel
	{attributes:
	 parent: select;
	 width:60;
	 height: 16;
	 horizDistance:10;
	 vertDistance:2;
	 label: "Battery";
	 justify: 1;
	}

	bone: XawCommand
	{attributes:
	parent: select;
	width: 20;
	height: 16;
	horizDistance: 80;
	vertDistance: 2;
	label: "1";
	justify: 1;
	background: {
	    if (OneCreated) then
		background := "black";
	    else
		background := "white";
	    end if;}
	foreground: {
	    if (OneCreated) then
		foreground := "white";
	    else
		foreground := "black";
	    end if;}
	
	methods:
	notify:
	  {
	    if (OneCreated = FALSE) then
                Create_One := TRUE;
                Mission1_ID := create_sd_instance("tmplmission","DM_BOX");
	        OneCreated := TRUE;
		if (SixGunLayout) then
		   Buttons1_ID := create_sd_instance("sixbuttons","DM_BOX");
		   put_sd_value(Buttons1_ID,"miss",mis1);
		end if;
		if (EightGunLayout) then
		   Buttons1_ID := create_sd_instance("eightbuttons","DM_BOX");
		   put_sd_value(Buttons1_ID,"miss",mis1);
		end if;
	    elsif (OneCreated = TRUE) then
		destroy_sd_instance(Mission1_ID);
		OneCreated := FALSE;
		Create_One := FALSE;
		if ((SixGunLayout) or (EightGunLayout)) then
		   destroy_sd_instance(Buttons1_ID);
		end if;
	    end if;
	  }
	}

	btwo: XawCommand
	{attributes:
	parent: select;
	width: 20;
	height: 16;
	horizDistance: 110;
	vertDistance: 2;
	label: "2";
	justify: 1;
	background: {
            if (TwoCreated) then
        	background := "black";
            else
                background := "white";
            end if;}
	foreground: {
            if (TwoCreated) then
                foreground := "white";
            else
                foreground := "black";
            end if;}

	methods:
	notify:
          {
           if (TwoCreated = FALSE) then
                Create_Two := TRUE;
                Mission2_ID := create_sd_instance("tmplmission","DM_BOX");
                TwoCreated := TRUE;
		if (SixGunLayout) then
		   Buttons2_ID := create_sd_instance("sixbuttons","DM_BOX");
		   put_sd_value(Buttons2_ID,"miss",mis2);
		end if;
                if (EightGunLayout) then
                   Buttons2_ID := create_sd_instance("eightbuttons","DM_BOX");
                   put_sd_value(Buttons2_ID,"miss",mis2);
                end if;
            elsif (TwoCreated = TRUE) then
                destroy_sd_instance(Mission2_ID);
                TwoCreated := FALSE;
                Create_Two := FALSE;
		if ((SixGunLayout) or (EightGunLayout)) then
		    destroy_sd_instance(Buttons2_ID);
		end if;
            end if;
          }
	}

	bthree: XawCommand
	{attributes:
	parent: select;
	width: 20;
	height: 16;
	horizDistance: 140;
	vertDistance: 2;
	label: "3";
	justify: 1;
	foreground: {
            if (ThrCreated) then
               foreground := "white";
            else
               foreground := "black";
            end if;}
        background: {
            if (ThrCreated) then
               background := "black";
            else
               background := "white";
            end if;}

	methods:
	notify:
          {
           if (ThrCreated = FALSE) then
                Create_Thr := TRUE;
                Mission3_ID := create_sd_instance("tmplmission","DM_BOX");
                ThrCreated := TRUE;
		if (SixGunLayout) then
		    Buttons3_ID := create_sd_instance("sixbuttons","DM_BOX");
		    put_sd_value(Buttons3_ID,"miss",mis3);
		end if;
                if (EightGunLayout) then
                   Buttons3_ID := create_sd_instance("eightbuttons","DM_BOX");
                   put_sd_value(Buttons3_ID,"miss",mis3);
                end if;
            elsif (ThrCreated = TRUE) then
               destroy_sd_instance(Mission3_ID);
                ThrCreated := FALSE;
                Create_Thr := FALSE;
		if ((SixGunLayout) or (EightGunLayout)) then
		    destroy_sd_instance(Buttons3_ID);
		end if;
            end if;
          }
	}

	bquit: XawCommand
	{attributes:
	parent: background_form;
	width: 40;
	height: 20;
	horizDistance: 960;
	vertDistance: 5;
	label: "Quit";
	justify: 1;

	methods:
	notify:
          {
             exit();
          }
	}

/*---------------------------------------------------------------------*/
/* SIX/EIGHT GUN SWITCH:					       */
/*   SwitchBackground: form widget encompasses both switches.	       */
/*   mm : 155 mm selection, eight guns				       */
/*   in : 8 inches selection, six guns				       */
/*---------------------------------------------------------------------*/

	SwitchBackground: XawBboard
	{attributes:
	 parent: background_form;
	 height: 22;
	 width: 150;
	 horizDistance: 5;
	 vertDistance : 5;
	}

	mm: XawCommand
        {attributes:
        parent: SwitchBackground;
        height: 16;
        width: 60;
        horizDistance: 5;
        vertDistance: 2;
        label: "155 MM";
        justify: 1;
        background: { 
	    if (EightGunLayout) then
		background := "black";
	    else
		background := "white";
	    end if;}
	foreground: {
	    if (EightGunLayout) then
		foreground := "white";
	    else
		foreground := "black";
	    end if;}

        methods:
	notify:{
	    if (EightGunLayout = TRUE) then
	    	EightGunLayout := FALSE;
	      	destroy_sd_instance(EightGun_ID);
		if (OneCreated) then
		   destroy_sd_instance(Buttons1_ID);
		end if;
		if (TwoCreated) then
		   destroy_sd_instance(Buttons2_ID);
		end if;
		if (ThrCreated) then
		   destroy_sd_instance(Buttons3_ID);
		end if;
	    else 
	      	if (SixGunLayout) then
	      	    SixGunLayout := FALSE;
	      	    destroy_sd_instance(SixGun_ID);
		    if (OneCreated) then
			destroy_sd_instance(Buttons1_ID);
		    end if;
		    if (TwoCreated) then
			destroy_sd_instance(Buttons2_ID);
		    end if;
		    if (ThrCreated) then
			destroy_sd_instance(Buttons3_ID);
		    end if;
		end if;
		EightGun_ID := create_sd_instance("buildeight","DM_BOX");
		EightGunLayout := TRUE;
		if (OneCreated) then
   	            Buttons1_ID := create_sd_instance("eightbuttons","DM_BOX");
		    put_sd_value(Buttons1_ID,"miss",mis1);
		end if;
                if (TwoCreated) then
                    Buttons2_ID := create_sd_instance("eightbuttons","DM_BOX");
                    put_sd_value(Buttons1_ID,"miss",mis2);
                end if;
                if (ThrCreated) then
                    Buttons3_ID := create_sd_instance("eightbuttons","DM_BOX");
                    put_sd_value(Buttons1_ID,"miss",mis3);
                end if;

	    end if;
	  }
	}

        in: XawCommand
	{attributes:
	parent: SwitchBackground;
	height: 16;
        width: 60;
        horizDistance: 75;
        vertDistance: 2;
        label: "8 IN";
        justify: 1;
	background : {
	    if (SixGunLayout) then
		background := "black";
	    else
		background := "white";
	    end if;}
	foreground : {
	    if (SixGunLayout) then
		foreground := "white";
	    else
		foreground := "black";
	    end if;}

	methods:
	notify:
	{ if (SixGunLayout = TRUE) then
		SixGunLayout := FALSE;
		destroy_sd_instance(SixGun_ID);
		if (OneCreated) then
		   destroy_sd_instance(Buttons1_ID);
		end if;
		if (TwoCreated) then
		   destroy_sd_instance(Buttons2_ID);
		end if;
		if (ThrCreated) then
		   destroy_sd_instance(Buttons3_ID);
		end if;
	  else
		if (EightGunLayout) then
		    EightGunLayout := FALSE;
		    destroy_sd_instance(EightGun_ID);
		    if (OneCreated) then
			destroy_sd_instance(Buttons1_ID);
		    end if;
                    if (TwoCreated) then
                        destroy_sd_instance(Buttons2_ID);
                    end if;
                    if (ThrCreated) then
                        destroy_sd_instance(Buttons3_ID);
                    end if;
		end if;
	   	SixGun_ID := create_sd_instance("buildsix","DM_BOX");
		SixGunLayout := TRUE;
		if (OneCreated) then
		   Buttons1_ID := create_sd_instance("sixbuttons","DM_BOX");
		   put_sd_value(Buttons1_ID,"miss",mis1);
		end if;
		if (TwoCreated) then
		   Buttons2_ID := create_sd_instance("sixbuttons","DM_BOX");
		   put_sd_value(Buttons2_ID,"miss",mis2);
		end if;
		if (ThrCreated) then
		   Buttons3_ID := create_sd_instance("sixbuttons","DM_BOX");
		   put_sd_value(Buttons3_ID,"miss",mis3);
		end if;
	  end if;
        }}

/*-----------------------------------------------------------------------*/
/* FRAMES:								 */
/*   The frames of the missions and guns. switch colors once selected.   */
/*   GunBackground : panel on which guns are displayed			 */
/*   mis1,mis2,mis3 : mission backgrounds.				 */
/*-----------------------------------------------------------------------*/

	GunBackground: XawBboard
	{attributes:
	  parent: background_form;
	  height: 230;
	  width : 994;
	  horizDistance: 2;
	  vertDistance : 570;
	  borderColor: {
	      if ((SixGunLayout) or (EightGunLayout)) then
		  borderColor := "black";
	      else
		  borderColor := "white";
	      end if;}
	  background: { 
	      if ((SixGunLayout) or (EightGunLayout)) then
		  background := "white";
	      else
		  background := "black";
	      end if;}
	}

	mis1: XawBboard
	{attributes:
	  parent: background_form;
	  height: 510;
	  width : 320;
	  horizDistance: 5;
	  vertDistance : 35;
	  borderColor: {
	     if (OneCreated) then
		borderColor := "black";
	     else
		borderColor := "white";
	     end if;
	     }
	  background: {
	     if (OneCreated) then
		background := "white";
	     else
		background := "black";
	     end if;
	     }
	}

 mis2: XawBboard
        {attributes:
          parent: background_form;
          height: 510;
          width : 320;
          horizDistance: 340;
          vertDistance : 35;
          borderColor: {
             if (TwoCreated) then
                borderColor := "black";
             else
                borderColor := "white";
             end if;
             }
          background: {
             if (TwoCreated) then
                background := "white";
             else
                background := "black";
             end if;
             }
        }

 mis3: XawBboard
        {attributes:
          parent: background_form;
          height: 510;
          width : 320;
          horizDistance: 675;
          vertDistance : 35;
          borderColor: {
             if (ThrCreated) then
                borderColor := "black";
             else
                borderColor := "white";
             end if;
             }
          background: {
             if (ThrCreated) then
                background := "white";
             else
                background := "black";
             end if;
             }
        }


/*********************************************************************
                A MISSION
*********************************************************************/

VC: The_Mission

Creation Condition: (new("tmplmission"))

variables:
    mission1: { if (Create_One) then
			mission1 := mis1;
		elsif (Create_Two) then
			mission1 := mis2;
		elsif (Create_Thr) then
			mission1 := mis3;
		end if;
	      }
Objects:
        button(m1rec,m1stat1,"RECEIVE",5,5,mission1,60,12)
        {
        m1stat1 := TRUE;
        m1stat2 := FALSE;
        }
	}

        button(m1loc,m1stat2,"LOCKOUT",260,5,mission1,60,12)
        {
 	m1stat1 := FALSE;
        m1stat2 := TRUE;
	}
        }

        m1clr: XawCommand
	{attributes:
		parent: mission1;
                width: 60;
		height: 12;
		vertDistance: 5;
		horizDistance: 130;
		label: "CLEAR";
		justify: 1;
	}
	
   	title_XawBox(315,12,mission1,m1tit1,5,20,"DESCRIPTION")
	title_XawBox(315,12,mission1,m1tit2,5,70,"SIZE")
	default_font_text(315,30,mission1,m1desc,5,35,"")
	default_font_text(315,30,mission1,m1size,5,85,"")
        title_XawBox(315,12,mission1,m1tit3,5,120,"LOCATION")
	button(m1polar,m1locstat1,"POLAR",5,135,mission1,60,12)
	{
	m1locstat1 := TRUE;
	m1locstat2 := FALSE;
	}
	}

        button(m1grid,m1locstat2,"GRID",260,135,mission1,60,12)
	{
	m1locstat2 := TRUE;
        m1locstat1 := FALSE;
	}
	}

	title_XawBox(60,12,mission1,m1tit4,5,150,"COORD")
	title_XawBox(60,12,mission1,m1tit5,5,165,"AZIMUTH")
	title_XawBox(60,12,mission1,m1tit6,5,180,"DISTANCE")
	title_XawBox(60,12,mission1,m1tit7,5,195,"ELEVAT")
	title_XawBox(60,12,mission1,m1tit8,180,150,"COORD")
	title_XawBox(60,12,mission1,m1tit9,180,165,"ELEVAT")
	text_XawBox(60,12,mission1,m1coord1,85,150,"")
	text_XawBox(60,12,mission1,m1azim,85,165,"")
	text_XawBox(60,12,mission1,m1dist,85,180,"")
	text_XawBox(60,12,mission1,m1elev1,85,195,"")
	text_XawBox(60,12,mission1,m1coord2,260,150,"")
	text_XawBox(60,12,mission1,m1elev2,260,165,"")
	title_XawBox(315,12,mission1,m1tit10,5,210,"")
	button(m1he,m1chg1,"HE",5,225,mission1,60,12)
	{
	m1chg1 := TRUE;
	m1chg2 := FALSE;
	m1chg3 := FALSE;
	m1chg4 := FALSE;
	m1chg5 := FALSE;
	m1chg6 := FALSE;
	}
	}
	button(m1icm,m1chg2,"ICM",5,240,mission1,60,12)
	{
	m1chg1 := FALSE;
	m1chg2 := TRUE;
	m1chg3 := FALSE;
	m1chg4 := FALSE;
	m1chg5 := FALSE;
	m1chg6 := FALSE;
	}
	}
	button(m1dpicm,m1chg3,"DPICM",5,255,mission1,60,12)
	{
	m1chg1 := FALSE;
	m1chg2 := FALSE;
	m1chg3 := TRUE;
	m1chg4 := FALSE;
	m1chg5 := FALSE;
	m1chg6 := FALSE;
	}
	}
	button(m1wp,m1chg4,"WP",5,270,mission1,60,12)
	{
	m1chg1 := FALSE;
	m1chg2 := FALSE;
	m1chg3 := FALSE;
	m1chg4 := TRUE;
	m1chg5 := FALSE;
	m1chg6 := FALSE;
	}
	}
	button(m1fasc,m1chg5,"FASCAM",5,285,mission1,60,12)
	{
	m1chg1 := FALSE;
	m1chg2 := FALSE;
	m1chg3 := FALSE;
	m1chg4 := FALSE;
	m1chg5 := TRUE;
	m1chg6 := FALSE;
	}
	}
	button(m1nuke,m1chg6,"NUCLEAR",5,300,mission1,60,12)
	{
	m1chg1 := FALSE;
	m1chg2 := FALSE;
	m1chg3 := FALSE;
	m1chg4 := FALSE;
	m1chg5 := FALSE;
	m1chg6 := TRUE;
	}
	}

	title_XawBox(60,12,mission1,m1tit11,180,225,"FUZETIME")
	text_XawBox(60,12,mission1,m1fuzetim,260,225,"")
	title_XawBox(60,12,mission1,m1tit12,180,300,"ROUNDS")
	text_XawBox(60,12,mission1,m1rounds,260,300,"")

	button(m1add,m1switch1,"ADD",130,330,mission1,60,12)
	{
	m1switch1 := not m1switch1;
	}
	}
	text_XawBox(60,12,mission1,m1inadd,130,345,"")

	button(m1left,m1switch2,"LEFT",5,345,mission1,60,12)
	{
	m1switch2 := not m1switch2;
	}
	}
	text_XawBox(60,12,mission1,m1inleft,5,360,"")

	button(m1right,m1switch3,"RIGHT",260,345,mission1,60,12)
	{
	m1switch3 := not m1switch3;
	}
	}
	text_XawBox(60,12,mission1,m1inright,260,360,"")

	button(m1drop,m1switch4,"DROP",130,360,mission1,60,12)
	{
	m1switch4 := not m1switch4;
	}
	}
	text_XawBox(60,12,mission1,m1indrop,130,375,"")

	button(m1up,m1switch5,"UP",5,395,mission1,60,12)
	{
	m1switch5 := not m1switch5;
	}
	}
	text_XawBox(60,12,mission1,m1inup,5,410,"")

	button(m1down,m1switch5,"DOWN",260,395,mission1,60,12)
	{
	m1switch6 := not m1switch6;
	}
	}
	text_XawBox(60,12,mission1,m1indown,260,410,"")

	button(m1all,m1pick9,"ALL",285,430,mission1,30,12)
	{
	}
	}
 
	button(m1ffe,m1attr1,"FFE",5,450,mission1,60,12)
	{
	m1attr1 := not m1attr1;
	}
	}
	button(m1canc,m1attr2,"CANCEL",260,450,mission1,60,12)
	{
	}
	}

ON CREATE: {
	Create_One := FALSE;
	Create_Two := FALSE;
	Create_Thr := FALSE;
}

ENDVC The_Mission


/*************************************************************/
/* The Eight Guns					     */
/*************************************************************/
vc: eightguns
	creation condition: (new("buildeight"))

	variables:
	   Gun1_ID : 0;
	   Gun2_ID : 0;
	   Gun3_ID : 0;
	   Gun4_ID : 0;
	   Gun5_ID : 0;
	   Gun6_ID : 0;
	   Gun7_ID : 0;
	   Gun8_ID : 0;

	ON CREATE: {
	   Gun1_ID := create_sd_instance("eguntmpl","DM_BOX");
	   put_sd_value(Gun1_ID,"xloc",5);
	   Gun2_ID := create_sd_instance("eguntmpl","DM_BOX");
	   put_sd_value(Gun2_ID,"xloc",130);
           Gun3_ID := create_sd_instance("eguntmpl","DM_BOX");
           put_sd_value(Gun3_ID,"xloc",255);
           Gun4_ID := create_sd_instance("eguntmpl","DM_BOX");
           put_sd_value(Gun4_ID,"xloc",380);
           Gun5_ID := create_sd_instance("eguntmpl","DM_BOX");
           put_sd_value(Gun5_ID,"xloc",505);
           Gun6_ID := create_sd_instance("eguntmpl","DM_BOX");
           put_sd_value(Gun6_ID,"xloc",630);
           Gun7_ID := create_sd_instance("eguntmpl","DM_BOX");
           put_sd_value(Gun7_ID,"xloc",755);
           Gun8_ID := create_sd_instance("eguntmpl","DM_BOX");
           put_sd_value(Gun8_ID,"xloc",880);

	}

	ON DESTROY: {
	   destroy_sd_instance(Gun8_ID);
           destroy_sd_instance(Gun7_ID);
           destroy_sd_instance(Gun6_ID);
           destroy_sd_instance(Gun5_ID);
           destroy_sd_instance(Gun4_ID);
           destroy_sd_instance(Gun3_ID);
           destroy_sd_instance(Gun2_ID);
           destroy_sd_instance(Gun1_ID);
	}

VC: Eight_Gun_Template
Creation Condition: (new("eguntmpl"))

variables:
	outdata(gun1)

Objects:

/************************************************
		GUN #1
 ************************************************/

	XawBox(GunWindow,eguntmpl.xloc,575,115,225)
	title_XawBox(60,12,GunWindow,g1tit1,5,0,"CHARGE")
	title_XawBox(60,12,GunWindow,g1tit2,25,15,"FUZE")
	title_XawBox(60,12,GunWindow,g1tit3,5,60,"DEFLECT")
	title_XawBox(60,12,GunWindow,g1tit4,5,75,"TIME")
	title_XawBox(60,12,GunWindow,g1tit5,5,90,"QUADRANT")
	title_XawBox(60,12,GunWindow,gitit6,5,105,"ROUNDS")
	button(g1pd,gun1fze1,"PD",5,30,GunWindow,35,12)
	{
	gun1fze1 := TRUE;
	gun1fze2 := FALSE;
	gun1fze3 := FALSE;
	}
	}
	button(g1ti1,gun1fze2,"TI1",40,30,GunWindow,35,12)
	{
	gun1fze1 := FALSE;
	gun1fze2 := TRUE;
	gun1fze3 := FALSE;
	}
	}
	button(g1ti2,gun1fze3,"TI2",75,30,GunWindow,35,12)
	{
	gun1fze1 := FALSE;
	gun1fze2 := FALSE;
	gun1fze3 := TRUE;
	}
	}
	text_XawBox(40,12,GunWindow,g1chg,70,0,gun1chg)
	text_XawBox(40,12,GunWindow,g1df,70,60,gun1df)
	text_XawBox(40,12,GunWindow,g1ti,70,75,gun1ti)
	text_XawBox(40,12,GunWindow,g1qd,70,90,gun1qd)
	text_XawBox(40,12,GunWindow,g1rds,70,105,gun1rds)
	button(g1send,gun1snd,"SEND",5,130,GunWindow,60,12)
	{
	}
	}
	button(g1fire,gun1fir,"FIRE",5,165,GunWindow,60,12)
	{
	}
	}
	button(g1clear,gun1clr,"CLEAR",5,200,GunWindow,60,12)
	{
	gun1clr := not gun1clr;
	}
	}
/************************************************/

ENDVC Eight_Gun_Template

ENDVC eightguns


/******************************************************************/
/*  The Six Guns						  */
/******************************************************************/

vc: sixguns
	creation condition: (new("buildsix"))

	variables:
	    Gun1_ID : 0;
	    Gun2_ID : 0;
	    Gun3_ID : 0;
	    Gun4_ID : 0;
	    Gun5_ID : 0;
	    Gun6_ID : 0;
        
	ON CREATE: {
	  Gun1_ID := create_sd_instance("sguntmpl","DM_BOX");
	  put_sd_value(Gun1_ID,"xloc",5);
          Gun2_ID := create_sd_instance("sguntmpl","DM_BOX");
          put_sd_value(Gun2_ID,"xloc",170);
          Gun3_ID := create_sd_instance("sguntmpl","DM_BOX");
          put_sd_value(Gun3_ID,"xloc",335);
          Gun4_ID := create_sd_instance("sguntmpl","DM_BOX");
          put_sd_value(Gun4_ID,"xloc",500);
          Gun5_ID := create_sd_instance("sguntmpl","DM_BOX");
          put_sd_value(Gun5_ID,"xloc",665);
          Gun6_ID := create_sd_instance("sguntmpl","DM_BOX");
          put_sd_value(Gun6_ID,"xloc",830);
	}

	ON DESTROY: {
	  destroy_sd_instance(Gun6_ID);
	  destroy_sd_instance(Gun5_ID);
          destroy_sd_instance(Gun4_ID);
          destroy_sd_instance(Gun3_ID);
          destroy_sd_instance(Gun2_ID);
          destroy_sd_instance(Gun1_ID);
	}

VC: Six_Gun_Template

Creation Condition: (new("sguntmpl"))

variables:
	outdata(gun1)

Objects:

/************************************************
		GUN #1
 ************************************************/

	XawBox(GunWindow,sguntmpl.xloc,575,155,225)
	title_XawBox(60,12,GunWindow,g1tit1,5,0,"CHARGE")
	title_XawBox(60,12,GunWindow,g1tit2,25,15,"FUZE")
	title_XawBox(60,12,GunWindow,g1tit3,5,60,"DEFLECT")
	title_XawBox(60,12,GunWindow,g1tit4,5,75,"TIME")
	title_XawBox(60,12,GunWindow,g1tit5,5,90,"QUADRANT")
	title_XawBox(60,12,GunWindow,gitit6,5,105,"ROUNDS")
	button(g1pd,gun1fze1,"PD",5,30,GunWindow,35,12)
	{
	gun1fze1 := TRUE;
	gun1fze2 := FALSE;
	gun1fze3 := FALSE;
	}
	}
	button(g1ti1,gun1fze2,"TI1",40,30,GunWindow,35,12)
	{
	gun1fze1 := FALSE;
	gun1fze2 := TRUE;
	gun1fze3 := FALSE;
	}
	}
	button(g1ti2,gun1fze3,"TI2",75,30,GunWindow,35,12)
	{
	gun1fze1 := FALSE;
	gun1fze2 := FALSE;
	gun1fze3 := TRUE;
	}
	}
	text_XawBox(40,12,GunWindow,g1chg,70,0,gun1chg)
	text_XawBox(40,12,GunWindow,g1df,70,60,gun1df)
	text_XawBox(40,12,GunWindow,g1ti,70,75,gun1ti)
	text_XawBox(40,12,GunWindow,g1qd,70,90,gun1qd)
	text_XawBox(40,12,GunWindow,g1rds,70,105,gun1rds)
	button(g1send,gun1snd,"SEND",5,130,GunWindow,60,12)
	{
	}
	}
	button(g1fire,gun1fir,"FIRE",5,165,GunWindow,60,12)
	{
	}
	}
	button(g1clear,gun1clr,"CLEAR",5,200,GunWindow,60,12)
	{
	gun1clr := not gun1clr;
	}
	}
/************************************************/


ENDVC Six_Gun_Template


ENDVC sixguns;        


VC: ButtonsIN
Creation Condition: (new("sixbuttons"))

variables:
 	outdata(gun1)

objects:
	button(m1gun1,m1pick1,"1",5,430,sixbuttons.miss,30,12)
	{
	}
	}
	button(m1gun2,m1pick2,"2",40,430,sixbuttons.miss,30,12)
	{
	}
	}
	button(m1gun3,m1pick3,"3",75,430,sixbuttons.miss,30,12)
	{
	}
	}
	button(m1gun4,m1pick4,"4",110,430,sixbuttons.miss,30,12)
	{
	}
	}
	button(m1gun5,m1pick5,"5",145,430,sixbuttons.miss,30,12)
	{
	}
	}
	button(m1gun6,m1pick6,"6",180,430,sixbuttons.miss,30,12)
	{
	}
	}
/****************************************************************/

ENDVC ButtonsIN

VC: ButtonsMM

Creation Condition: (new("eightbuttons"))

variables:
	outdata(gun1)

objects:

/**************************************************************/
	button(m1gun1,m1pick1,"1",5,430,eightbuttons.miss,30,12)
	{
	}
	}
	button(m1gun2,m1pick2,"2",40,430,eightbuttons.miss,30,12)
	{
	}
	}
	button(m1gun3,m1pick3,"3",75,430,eightbuttons.miss,30,12)
	{
	}
	}
	button(m1gun4,m1pick4,"4",110,430,eightbuttons.miss,30,12)
	{
	}
	}
	button(m1gun5,m1pick5,"5",145,430,eightbuttons.miss,30,12)
	{
	}
	}
	button(m1gun6,m1pick6,"6",180,430,eightbuttons.miss,30,12)
	{
	}
	}
	button(m1gun7,m1pick7,"7",215,430,eightbuttons.miss,30,12)
	{
	}
	}
	button(m1gun8,m1pick8,"8",250,430,eightbuttons.miss,30,12)
	{
	}
	}
/****************************************************************/
ENDVC ButtonsMM
