#include "sat.ill"

|||

/*----------------------------------------------------------------------
|   This demo puts two objects on the screen.  One is a selectable button
|    which is labelled "push".  The other shows how many times the button
|    has been pushed.  This demonstrates the automatic propogation of
|    dependencies within Serpent
|-----------------------------------------------------------------------*/

   VARIABLES:
     counter : 0;

   OBJECTS:
     background_form: XawBboard
     { ATTRIBUTES:
      width: 400;
      height: 400; }


     display:  XawLabel

     { ATTRIBUTES:

       parent:  background_form;
       width: 60;
       height: 40;
       vertDistance: 100;
       horizDistance: 175;
       label: counter;
       justify: 1; 
}

     push_button:  XawCommand

     { ATTRIBUTES:

       parent:  background_form;

       width: 60;
       height: 40;
       vertDistance: 200;
       horizDistance: 175;
       label: "PUSH";
       justify: 1;

    METHODS:

      notify:
        {
         counter := counter + 1;
        }
    }

     push_button2:  XawCommand

     { ATTRIBUTES:

       parent:  background_form;
       width: 60;
       height: 40;
       vertDistance: 300;
       horizDistance: 175;
       label: "QUIT";
       justify: 1;

    METHODS:

      notify:
        {
         exit ();
	}
     }
