#include "smo.ill"

|||

#define color_button(cmdname,horiz,vert,b_color)\
cmdname: XmPushButton {\
Attributes:\
  parent: c_XmForm1;\
  x:horiz;\
  y:vert;\
  width: 25;\
  height: 25;\
  borderWidth: 0;\
  labelString: " ";\
  background: b_color;\
 Methods:\
  notify: {\
    c_color:=b_color;\
}\
}

/*
   This is a slang program to demonstrate the use of a macro to make
   repeated calls to create an object.  By using a macro the user can
   vary some of the object attributes while creating multiple instances
   of that object.  The location and color of the object is varied

   There is a view controller that is instantiated when the "All Colors"
   button is pressed.  Then repeated calls are made to the color_button
   macro to create a 64 color pallete.
*/


Variables:

  display_color : TRUE;
  c_color: " ";
 
Objects:

  menu_bar: XmBulletinBoard
  {
    Attributes:
    height:400;
    width: 350;
    resizePolicy: 0;
  }

  menu1_item: XmPushButton
   {
    Attributes:
      parent: menu_bar;
      y: 3;
      x: 10;
      height: 20;
      width: 125;
      fontList: "9x15bold";
      labelString : "Quit";

    Methods:

      notify:
      {
        exit();
      }
   }



/*-------  view controller ----------------*/

VC:  color_submenu1

Creation Condition:  (display_color)

Objects:

  c_XmForm1: XmBulletinBoard {
    Attributes:
      parent: menu_bar;
      y: 35;
      x:10;
      borderWidth: 0;
      height: 350;
      width: 265;
      allowUserMove: TRUE;
      allowUserResize: TRUE;
}
/* first col */
color_button(color1,0,10,"khaki")
color_button(color2,0,40,"yellow")
color_button(color3,0,70,"gold")
color_button(color4,0,100,"goldenrod")
color_button(color5,0,130,"salmon")
color_button(color6,0,160,"indian red")
color_button(color7,0,190,"orange red")
color_button(color8,0,220,"red")
/* sec col */
color_button(color9,40,10,"green yellow")
color_button(color10,40,40,"yellow green")
color_button(color11,40,70,"wheat")
color_button(color12,40,100,"tan")
color_button(color13,40,130,"orange")
color_button(color14,40,160,"coral")
color_button(color15,40,190,"sienna")
color_button(color16,40,220,"brown")
/* third col */
color_button(color17,70,10,"medium spring green")
color_button(color18,70,40,"lime green")
color_button(color19,70,70,"forest green")
color_button(color20,70,100,"sea green")
color_button(color21,70,130,"pink")
color_button(color22,70,160,"maroon")
color_button(color23,70,190,"medium violet red")
color_button(color24,70,220,"firebrick")
/* fourth col */
color_button(color25,100,10,"pale green")
color_button(color26,100,40,"green")
color_button(color27,100,70,"dark olive green")
color_button(color28,100,100,"dark green")
color_button(color29,100,130,"plum")
color_button(color30,100,160,"violet")
color_button(color31,100,190,"magenta")
color_button(color32,100,220,"medium orchid")
/* fifth col */
color_button(color33,130,10,"aquamarine")
color_button(color34,130,40,"spring green")
color_button(color35,130,70,"sea green")
color_button(color36,130,100,"thistle")
color_button(color37,130,130,"orchid")
color_button(color38,130,160,"violet red")
color_button(color39,130,190,"dark orchid")
color_button(color40,130,220,"blue violet")
/* sixth col */
color_button(color41,160,10,"cyan")
color_button(color42,160,40,"dark turquoise")
color_button(color43,160,70,"medium aquamarine")
color_button(color44,160,100,"medium turquoise")
color_button(color45,160,130,"medium slate blue")
color_button(color46,160,160,"slate blue")
color_button(color47,160,190,"blue")
color_button(color48,160,220,"medium blue")
/* seventh col */
color_button(color49,190,10,"turquoise")
color_button(color50,190,40,"sky blue")
color_button(color51,190,70,"light blue")
color_button(color52,190,100,"cornflower blue")
color_button(color53,190,130,"steel blue")
color_button(color54,190,160,"dark slate blue")
color_button(color55,190,190,"navy blue")
color_button(color56,190,220,"midnight blue")
/* eighth col */
color_button(color57,220,10,"white")
color_button(color58,220,40,"light gray")
color_button(color59,220,70,"light steel blue")
color_button(color60,220,100,"gray")
color_button(color61,220,130,"cadet blue")
color_button(color69,220,160,"dim grey")
color_button(color63,220,190,"dark slate grey")
color_button(color64,220,220,"black")

  c_label1: XmLabel {
    Attributes:
      parent: c_XmForm1;
      y: 275;
      x: 0;
      height: 20;
      width:100;
      labelString: "Color is:";
      alignment: 0;
      fontList: "9x15bold";
      borderWidth:0;
}
  c_label2: XmLabel {
    Attributes:
      parent: c_XmForm1;
      y: 275;
      x: 110;
      width: 145;
      height: 20;
      labelString: c_color;
      fontList: "9x15bold";
      alignment: 0;
      borderWidth: 1;
}

ENDVC color_submenu1




