/* $Header: /u/04c/mnt/integ/source/dm/include/RCS/d22_fatal.h,v 1.3 90/09/11 20:36:05 rcs Exp $ */


/*
$Log:	d22_fatal.h,v $
 * Revision 1.3  90/09/11  20:36:05  rcs
 * *** empty log message ***
 * 
 * Revision 1.2  90/01/12  15:03:54  dvk
 * Modified error message handling to used shared strings from Slang
 * 
 * Revision 1.1  89/12/27  14:51:18  ejh
 * Initial revision
 * 
 * Revision 1.1  89/12/21  16:58:08  little
 * Initial revision
 * 
*/

/*--------------------------------------------------------------------------*\
|
|   Distribution: Approved for public release; distribution is unlimited.
|
|   Copyright (c) 1989  by  Carnegie  Mellon  University, Pittsburgh, PA.  The
|  Software Engineering  Institute  (SEI) is a federally  funded  research and
|  development center established  and  operated by Carnegie Mellon University
|  (CMU).  Sponsored  by  the  U.S.  Department  of   Defense  under  contract
|  F19628-85-C-0003,  the  SEI  is  supported  by  the  services  and  defense
|  agencies, with the U.S. Air Force as the executive contracting agent.
|
|    Permission to use,  copy,  modify, or  distribute  this  software and its
|  documentation for  any purpose and without fee  is hereby granted, provided
|  that  the above copyright notice appear  in  all copies and that both  that
|  copyright  notice  and   this  permission  notice  appear   in   supporting
|  documentation.   Further,  the  names  Software  Engineering  Institute  or
|  Carnegie  Mellon  University  may  not be used in  advertising or publicity
|  pertaining to distribution of the software without specific, written  prior
|  permission.  CMU makes no claims  or representations  about the suitability
|  of this software for any purpose.  This software is provided "as is" and no
|  warranty,  express  or  implied,  is  made  by  the  SEI  or CMU, as to the
|  accuracy  and  functioning of the program and related program material, nor
|  shall   the  fact of  distribution   constitute  any   such  warranty.   No
|  responsibility is assumed by the SEI or CMU in connection herewith.
|
\*--------------------------------------------------------------------------*/

#ifndef d22_fatal_error
#define d22_fatal_error

extern void dmsg_fatal_1();
extern void dmsg_fatal_2();

#ifndef FATAL_ERROR
#define FATAL_ERROR(statement)\
   { \
   dmsg_fatal_1(__FILE__, __LINE__); \
   statement; \
   abort(); \
   }
#endif	/* ifndef FATAL_ERROR */


#endif	/* ifndef d22_fatal_error */

