static char rcsid [] = 	"$Header: /u/04c/mnt/integ/source/dm/src/RCS/din_main.c,v 1.54 1991/07/10 19:08:23 ejh Exp $";

/*
$Log: din_main.c,v $
 * Revision 1.54  1991/07/10  19:08:23  ejh
 * no change
 *
 * Revision 1.53  1991/04/01  23:37:11  ejh
 * took out all refs. to num_min
 *
 * Revision 1.52  91/02/12  15:28:25  little
 * change to support new dgr_sne component names & types
 * 
 * changes to parameter list to dob_create_vc
 * 
 * dri_init now has a meaningful status
 * 
 * Revision 1.51  91/01/31  17:27:55  little
 * new version number
 * 
 * Revision 1.50  91/01/02  17:52:43  dvk
 * Sweeping changes throughout dialogue manager for new interpreter code
 * 
 * Revision 1.49  90/12/01  13:35:20  little
 * fix so new pfl stuff with threads works
 * 
 * Revision 1.48  90/11/12  12:20:09  dvk
 * Version number change
 * 
 * Revision 1.47  90/11/01  17:20:49  little
 * no changes
 * 
 * Revision 1.46  90/10/09  16:18:03  little
 * fix up new propagate stuff so it works right
 * 
 * Revision 1.45  90/10/07  17:09:01  little
 * move back to old propagate mechanism for a while until new one works
 * 
 * Revision 1.44  90/10/04  19:20:43  little
 * BIG change to the propagate mechanism
 * 
 * Revision 1.42  90/10/01  13:15:30  little
 * add potential firing line stuff
 * 
 * Revision 1.41  90/09/19  11:16:50  dvk
 * versionchange
 * version change
 * 
 * Revision 1.40  90/08/30  17:52:22  little
 * add stuff to delete god vc when quiting, but do not enable it yet
 * 
 * Revision 1.39  90/07/24  19:14:03  dvk
 * Version number change
 * 
 * Revision 1.38  90/07/20  17:08:26  little
 * fix up the fired_guy identifier calculator to take into account the sd element (sd_handle_object)
 * also
 * 
 * Revision 1.37  90/07/19  11:56:18  little
 * use new strategy to determine infinite cycles
 * 
 * Revision 1.36  90/06/06  17:42:17  clc
 * Moved the main() routine to din_shell.c
 * Let the dm_init routine end without committing transactions, so that
 * the main routine could check for recording before then.
 * 
 * Revision 1.35  90/04/12  10:55:50  little
 * changed the version number cause other lazy shits did not.
 * 
 * Revision 1.34  90/03/17  11:43:19  rcs
 * fixed memory leak
 * 
 * Revision 1.33  90/02/14  22:19:21  ejh
 * fixed include structure
 * 
 * Revision 1.32  90/01/19  16:32:42  dvk
 * Version number change reflects other changes elsewhere
 * 
 * Revision 1.31  90/01/12  15:05:52  dvk
 * Addad init of d22_cur_type and call to dob_const_init
 * 
 * Revision 1.30  89/12/22  14:30:43  little
 * - add a call to ajorminor_cycle rite after the creation of the god vc so
 *   all mincor cycle stuff gets done rite after god gets created
 * - take an initial call to din_minor_cycle out of din_main (since it is 
 *   in din_init now)
 * 
 * Revision 1.29  89/12/21  11:54:05  little
 * add support for slang file name output during dm run-time error print
 * 
 * Revision 1.28  89/12/05  12:09:18  ejh
 * got rid of stupid return after while (1)
 * 
 * Revision 1.27  89/10/23  19:45:26  ejh
 * changed names of generated files; declared fopen
 * 
 * Revision 1.26  89/08/30  16:37:37  little
 * change default source code location message
 * 
 * Revision 1.25  89/08/29  17:40:23  little
 * change version number and change god to eve
 * 
 * Revision 1.24  89/08/02  15:32:50  bmc
 * Added din_print_firing_line() function.  din_minor_cycle() now prints
 * out firing line if external variable din_debug is true.
 * 
 * Revision 1.23  89/07/20  16:44:57  bmc
 * Changes for OPS/83 removal.  Bumped version number up as well.
 * 
 * Revision 1.22  89/06/14  10:57:01  little
 * change version number
 * change symbol tab init call to tell sym tab to disable redefined processing
 * 
 * Revision 1.21  89/06/09  13:38:08  little
 * add d22_monitor var initialize and check to ensure size of int = size of char *
 * 
 * Revision 1.20  89/05/26  10:57:32  little
 * change version number
 * 
 * Revision 1.19  89/05/22  11:09:44  bmc
 * Now explicitly include 'uer.h'.  Related to changes to 'dob.c', 'dob.h'
 * and 'uer.h'.
 * 
 * Revision 1.18  89/05/22  08:56:10  little
 * add welcome and finished initialization messages and version # stuff
 * 
 * Revision 1.17  89/05/19  17:28:57  bmc
 * Changed to accomodate new definitions in 'dob.h'.
 * 
 * Revision 1.16  89/02/21  23:52:49  rcs
 * din_terminate exits with (1) instead of (-1)
 * 
 * Revision 1.15  89/02/15  17:55:17  little
 * change the names of the dialogue init and symbol table data files
 * to include the name of the dialogue
 * 
 * Revision 1.14  89/02/01  21:59:49  rcs
 * modified din_run_time_error to not delete the object base until
 *   after calling the print routine
 * 
 * Revision 1.13  89/01/09  14:51:35  little
 * no changes
 * 
 * Revision 1.12  88/12/19  18:04:20  rcs
 * added din_run_time_error 
 * 
 * Revision 1.11  88/12/14  11:05:59  little
 * start and commit transactions before and after god is made.  this allows
 * god to have vars, objs, creation/destruction actions.
 * 
 * Revision 1.10  88/11/04  17:03:23  little
 * add initialization of d22_slang_source
 * 
 * Revision 1.9  88/11/03  10:22:45  little
 * change cntl-c to NOT do a core dump and cntl-\ TO DO a core dump
 * 
 * Revision 1.8  88/11/02  13:32:48  little
 * change din_minor_cycle to correctly continue to look at the firing
 * line and exhaust it before running ops.  also, make running ops
 * under control of a parameter.
 * 
 * Revision 1.7  88/10/31  16:40:56  little
 * change the error processing for when there are too many minor cycles in
 * a major cycle.  now it just prints an error, and resets the firing_line
 * to empty.  it used to exit.
 * 
 * Revision 1.6  88/10/27  19:08:56  little
 * add initialization of d22_temp_free_list
 * 
 * Revision 1.5  88/10/12  16:00:32  little
 * add recording capability
 * 
 * Revision 1.4  88/10/03  09:12:28  little
 * add dm shared data
 * 
*/

/*--------------------------------------------------------------------------*\
|
|   Distribution: Approved for public release; distribution is unlimited.
|
|   Copyright (c) 1989  by  Carnegie  Mellon  University, Pittsburgh, PA.  The
|  Software Engineering  Institute  (SEI) is a federally  funded  research and
|  development center established  and  operated by Carnegie Mellon University
|  (CMU).  Sponsored  by  the  U.S.  Department  of   Defense  under  contract
|  F19628-85-C-0003,  the  SEI  is  supported  by  the  services  and  defense
|  agencies, with the U.S. Air Force as the executive contracting agent.
|
|    Permission to use,  copy,  modify, or  distribute  this  software and its
|  documentation for  any purpose and without fee  is hereby granted, provided
|  that  the above copyright notice appear  in  all copies and that both  that
|  copyright  notice  and   this  permission  notice  appear   in   supporting
|  documentation.   Further,  the  names  Software  Engineering  Institute  or
|  Carnegie  Mellon  University  may  not be used in  advertising or publicity
|  pertaining to distribution of the software without specific, written  prior
|  permission.  CMU makes no claims  or representations  about the suitability
|  of this software for any purpose.  This software is provided "as is" and no
|  warranty,  express  or  implied,  is  made  by  the  SEI  or CMU, as to the
|  accuracy  and  functioning of the program and related program material, nor
|  shall   the  fact of  distribution   constitute  any   such  warranty.   No
|  responsibility is assumed by the SEI or CMU in connection herewith.
|
\*--------------------------------------------------------------------------*/

#define	din_TOP
#define	memoryPack

#include <din.h>
#include <dob.h>
#include <dgo.h>
#include <dgr.h>
#include <dtt.h>
#include <d22.h>
#include <dri.h>
#include <u22.h>
#include <isc.h>
#include <isd.h>
#include <cus.h>
#include <uer.h>			/* error reporting facility	    */
#include <global.h>
#include <listPack.h>
#include <hashPack.h>
#include <stdio.h>
#include <signal.h>

#define VERSION_NUMBER "3.02 (interpreter)"

#define INIT_INFO_FILE "i.d"
#define SYMBOL_TABLE_DATA_FILE "t.d"
#define MON_FILE "m.d"
#define MAX_FIRED_PER_MAJ 10

#define make_full_name(ext) \
   u22_concat_string (".", din_get_dm_name (), ext, NULL)

#define FIRED_GUYS_HASH_SIZE 257

typedef struct  {
   int count;
   int identifier;
   } fired_guy;

HASH fired_guys;


static dob_data_object d22_god_vc_object;


/*--------------------------------------------------------------------------*\
|  Routine: din_print_firing_line
|
|  Description:
|     prints the contentents of the firing line on stderr, used for debugging
\*--------------------------------------------------------------------------*/
void din_print_firing_line ()
{
    fprintf (stderr, "d22_firing_line =\n");
    fflush (stderr);
    dgr_print_sne_list (stderr, d22_firing_line, "   ");
    fflush (stderr);
}					/* end din_print_firing_line */


/*--------------------------------------------------------------------------*\
|  Routine: fired_guys_match
|
|  Description:
|     compare a candidate fired guy with the one being seearched for, used
|     by the has table routines
\*--------------------------------------------------------------------------*/
static int fired_guys_match (candidate_ident, a_fired_guy)
int candidate_ident;
fired_guy *a_fired_guy;
{ 
   return (a_fired_guy-> identifier == candidate_ident);
}


/*--------------------------------------------------------------------------*\
|  Routine: fired_guys_hash
|
|  Description:
|	
|    generate a hash table index from an identifier
\*--------------------------------------------------------------------------*/
static int fired_guys_hash (ident)
int ident;
{
  return (((ident) & 077777) % FIRED_GUYS_HASH_SIZE);
}


/* the following method of building an identifier can cause
 * problems because there may be different combinations of
 * routine and self_vc_object and sd_handle_object which can
 * map to the same identifier value.  we are taking the
 * chance to enable us to use a single 32 bit entity as the
 * identifier and not have to keep the entire sne in the hash
 * table.
 */

#define build_fired_guy_identifier(a_sne) \
   (((int) a_sne->routine & (int) 0xFFFF) | \
    ((((int) a_sne->self_vc_object & (int) 0xFFFF) ^ \
      ((int) a_sne->sd_handle_object & (int) 0xFFFF)) << 16))

/*--------------------------------------------------------------------------*\
|  Routine: din_validate_firing
|
|  Description:
|     checks to see if the snippet/"self" combination has been fired too
|	many times in the major cycle and craps out if so
\*--------------------------------------------------------------------------*/
void din_validate_firing (the_sne)
dgr_sne *the_sne;
{  fired_guy *look;
   int the_identifier;

   the_identifier = build_fired_guy_identifier (the_sne);
   if (!(look = (fired_guy *)get_from_hashtable (fired_guys, the_identifier))) {
      look = (fired_guy *) make_node (sizeof (fired_guy));
      look-> count = 1;
      look-> identifier = the_identifier;
      add_to_hashtable (fired_guys, look, the_identifier); 
      }
    else  {
      if (look-> count > MAX_FIRED_PER_MAJ)
         FATAL_ERROR (fprintf (stderr,
			"!!! Possible cycle in data dependencies !!!\n"););
      look-> count++; 
      } 
}


/*--------------------------------------------------------------------------*\
|  Routine: din_major_cycle
|
|  Description:
|     Executes a dm major cycle
\*--------------------------------------------------------------------------*/
void din_major_cycle (num_maj)
int num_maj;
{
   fired_guys = make_hashtable (FIRED_GUYS_HASH_SIZE, fired_guys_hash,
			        fired_guys_match);
			/* Continue to process the firing line for as long as
			   it is not empty.  */
   while (list_length (d22_firing_line) > 0)
      dgr_process_sne_list (d22_firing_line);
   free_hashtable (fired_guys, AND_NODES);
}


/* ----------------------------------------------------   din_main  */
void din_main ()
{  int num_maj;

				/* now go into infinite major cycle loop */
   num_maj = 2;
   while (1) {
      din_start_transactions ();

      push_astack (d22_save_pfl, d22_pfl);
      d22_pfl = make_list ();
      d22_pot_fl_time_stamp++;
      push_astack (d22_save_sne, d22_sne);

      din_process_xaction (TRUE);  /* do not care about return value */

      dpg_process_pfl ();
      d22_pot_fl_time_stamp--;
      d22_pfl = (LIST) pop_astack (d22_save_pfl);
      d22_sne = (dgr_sne *) pop_astack (d22_save_sne);

      din_major_cycle (num_maj);
      din_commit_transactions ();
      num_maj ++;
      }
}


/* ----------------------------------------------   din_start_transactions */
void din_start_transactions ()
{  LIST tap_list;
   isd_process tap;

   if (d22_xactions_open) {
      fprintf (stderr, "transactions already started\n");
      return;
      }
   d22_xactions_open  = TRUE;
   tap_list = (LIST) cus_get_prop (d22_god_vc, taps_prop);
   loop_through_list (tap_list, tap, isd_process) {
      dtt_transaction_tell (isd_get_mailbox (tap),
			     isd_start_dm_transaction (tap));
/*
?? print mailbox name for failed start transaction
*/
      if (get_status ())
         FATAL_ERROR (
		isc_print_status ("DM cannot start transaction,status = "));
      }
}

/* ----------------------------------------------   din_commit_transactions */
void din_commit_transactions ()
{  LIST tap_list;
   isd_process tap;

   if (!d22_xactions_open) {
      fprintf (stderr, "transactions were not started\n");
      return;
      }
   d22_xactions_open  = FALSE;
   tap_list = (LIST) cus_get_prop (d22_god_vc, taps_prop);
   loop_through_list (tap_list, tap, isd_process){
      isd_commit_transaction (dtt_transaction_ask (isd_get_mailbox (tap)));
/*
?? print mailbox name for failed commit transaction
*/
      if (get_status ())
         FATAL_ERROR (
		isc_print_status ("DM cannot commit transaction, status = "));
      }
}

/* -------------------------------------------   din_rollback_transactions */
void din_rollback_transactions ()
{  LIST tap_list;
   isd_process tap;

   if (!d22_xactions_open)
      {fprintf (stderr, "transactions were not started\n");
      return;
      }
   d22_xactions_open  = FALSE;
   tap_list = (LIST) cus_get_prop (d22_god_vc, taps_prop);
   loop_through_list (tap_list, tap, isd_process)
      {isd_rollback_transaction (dtt_transaction_ask (isd_get_mailbox (tap)));
/*
?? print mailbox name for failed rollback transaction
*/
      if (get_status ())
         FATAL_ERROR (
	     isc_print_status ("DM cannot rollback transaction, status = "));
      }
}

/* -------------------------------------------   din_process_xaction */
boolean din_process_xaction (wait)
boolean wait;
{  isd_trans xaction;

   if (wait)
      xaction = isd_get_transaction ();
    else
      xaction = isd_get_transaction_no_wait ();
   if (get_status ())
      {if (!wait)
         {fprintf (stderr, "NO TRANSACTION AVAILABLE\n");
         return (FALSE);
         }
       else
         FATAL_ERROR (isc_print_status (
	   "DM got an error getting a transaction, status = "));
      }
   if (!wait)
      fprintf (stderr, "GOT A TRANSACTION\n");
   dob_transaction_update (xaction);
   if (get_status ())
	FATAL_ERROR (isc_print_status
		("DM screwed up processing a transaction, status = "));
   return (TRUE);
}

/* -------------------------------------------   din_abnormal_termination */
void din_abnormal_termination ()
{
   din_cleanup ();
   FATAL_ERROR (fprintf (stderr, "DM interrupted\n"));
}


/* -------------------------------------------   din_quit */
void din_quit ()
{
			/* if we have a god vc instance, destroy it and
			   all that means (sub-vcs, objects, etc.) */
#if 0
/* ??? do not do this just yet */
   if (d22_god_vc_object)
      dob_destroy_data_object (d22_god_vc_object, true);
#endif

   din_cleanup ();
   fprintf (stdout, "\n\nSerpent Dialogue Manager exiting.\n");
   exit (0);
}


/* -------------------------------------------   din_run_time_error */
void din_run_time_error ()
{
  long pid;
  char command [256];
/*
   Clean up dialogue manager and print end user error message.
*/
  uer_print_error();
  din_cleanup();
  FATAL_ERROR (fprintf (stderr, "DM runtime error\n"));
  fprintf(stdout, "\n\nSerpent dialogue manager exiting.\n");
  exit(1);
}

/* -------------------------------------------   din_init */
void din_init (dialogue)
string dialogue;
{
   string a_string;
   static char default_file [] = "<UNKNOWN FILE>";

   fprintf (stdout, "Welcome to Serpent Dialogue Manager, Version %s\n",
	    VERSION_NUMBER);

   d22_god_vc_object = (dob_data_object) NULL;
   if (sizeof (int) != sizeof (char *))
      FATAL_ERROR (fprintf (stderr, "\nsizeof (int) != sizeof (char *)\n"));
 
   d22_cur_type = cus_UNKNOWN;
   d22_slang_file = default_file;
   d22_slang_line_num = -1;

   signal (SIGINT, din_quit);
   signal (SIGTERM, din_abnormal_termination);
   signal (SIGHUP, din_abnormal_termination);
   signal (SIGQUIT, din_abnormal_termination);
   signal (SIGUSR1, din_run_time_error);

   d22_recording_on = FALSE;
   d22_monitor = FALSE;

   d22_firing_line = make_list ();
   d22_pfl = make_list ();
   d22_save_pfl = make_astack ();
   d22_pot_fl_time_stamp = 0;
   d22_sne = (dgr_sne *) NULL;
   d22_save_sne = make_astack ();

				/* create a symbol table and notify sym tab
				   routine that redefine processing is not
				   to be performed
				*/
   cus_create_sym_tab (FALSE);

   isd_dm_init ();
   check_status ("din_init: bad status from isd_dm_init");

   dtt_init ();
   if (get_status ())
      FATAL_ERROR (isc_print_status
		("DM cannot initialize transaction table, status = "));

   dob_init ();
   if (get_status ())
      FATAL_ERROR (
	isc_print_status ("DM cannot initialize object base, status = "));

   dri_init(dialogue);
   if (get_status ())
      FATAL_ERROR (isc_print_status
		("DM cannot initialize dri, status = "));

   din_get_st_data (make_full_name (SYMBOL_TABLE_DATA_FILE));
   d22_xactions_open  = FALSE;
   d22_god_vc = cus_look_up (d22_god_text);
   if (!d22_god_vc)
      FATAL_ERROR (fprintf (stderr, "DM initialization cannot find EVE\n"));
   d22_sne = (dgr_sne *) NULL;
   d22_temp_free_list = NULL;

   din_process_tap_info (make_full_name (INIT_INFO_FILE));

   /*
    * first run a single major loop to catch any initial vcs which
    * do not depend on any transaction coming in 
    */
   din_start_transactions();
   push_astack (d22_save_pfl, d22_pfl);
   d22_pfl = make_list ();
   d22_pot_fl_time_stamp++;
   push_astack (d22_save_sne, d22_sne);

   d22_god_vc_object = dob_vc_create (dob_null_object,
       				      cus_get_prop (d22_god_vc, id_prop),
			  	      dob_null_object);

   dpg_process_pfl ();
   d22_pot_fl_time_stamp--;
   d22_pfl = (LIST) pop_astack (d22_save_pfl);
   d22_sne = (dgr_sne *) pop_astack (d22_save_sne);

   din_major_cycle (1);
    /*
     * transactions are committed in the calling procedure, which is main,
     * after a check for recording.
     */
   fprintf (stdout, "Serpent Dialogue Manager initialization complete\n");
}

/* -------------------------------------------   din_cleanup */
void din_cleanup ()
{  string a_string;
   FILE *mon_fp;

   if (d22_monitor) {
      mon_fp = fopen (make_full_name (MON_FILE), "w");
      cus_print_prop_nums (mon_fp, "");
      fclose (mon_fp);
      }
   if (d22_recording_on)
      din_stop_recording ();
   din_terminate_interface ();
   dob_cleanup ();
   dtt_cleanup ();
}
