static char rcsid [] = "$Header: /u/04c/mnt/integ/source/tools/src/RCS/shm_mon.c,v 1.2 90/04/12 17:06:14 little Exp $";

/*--------------------------------------------------------------------------*\
|
|  Description:
|     shared memory monitor
|
|  Change History:
|     $Log:	shm_mon.c,v $
 * Revision 1.2  90/04/12  17:06:14  little
 * add the include <stdio.h> to allow a clean compile on the hp, now as to
 * why it compiled on the vax and the sun.  who the fuck knows.
 * 
 * Revision 1.1  90/01/30  13:17:15  little
 * Initial revision
 * 
 * Revision 1.1  90/01/30  11:46:25  little
 * Initial revision
 * 
|
|     30 jan 1990 : Module created.
\*--------------------------------------------------------------------------*\
|
|   Distribution: Approved for public release; distribution is unlimited.
|
|   Copyright (c) 1989  by  Carnegie  Mellon  University, Pittsburgh, PA.  The
|  Software Engineering  Institute  (SEI) is a federally  funded  research and
|  development center established  and  operated by Carnegie Mellon University
|  (CMU).  Sponsored  by  the  U.S.  Department  of   Defense  under  contract
|  F19628-85-C-0003,  the  SEI  is  supported  by  the  services  and  defense
|  agencies, with the U.S. Air Force as the executive contracting agent.
|
|    Permission to use,  copy,  modify, or  distribute  this  software and its
|  documentation for  any purpose and without fee  is hereby granted, provided
|  that  the above copyright notice appear  in  all copies and that both  that
|  copyright  notice  and   this  permission  notice  appear   in   supporting
|  documentation.   Further,  the  names  Software  Engineering  Institute  or
|  Carnegie  Mellon  University  may  not be used in  advertising or publicity
|  pertaining to distribution of the software without specific, written  prior
|  permission.  CMU makes no claims  or representations  about the suitability
|  of this software for any purpose.  This software is provided "as is" and no
|  warranty,  express  or  implied,  is  made  by  the  SEI  or CMU, as to the
|  accuracy  and  functioning of the program and related program material, nor
|  shall   the  fact of  distribution   constitute  any   such  warranty.   No
|  responsibility is assumed by the SEI or CMU in connection herewith.
|
\*--------------------------------------------------------------------------*/


#include <stdio.h>
#include "ism.h"
#include "ids.h"



/*---------------------------------------------------	main	*/
main (argc, argv, envp)
int argc;
char *argv [];
char *envp [];
{

   ism_init ();
   ids_init ();

   ids_start_read ();

   ism_print_bucket_contents (stdout);
   ism_print_adjacency_chain (stdout);

   ids_end_read ();

   exit (0);
}



